GNU bug report logs - #58660
[PATCH 0/4] Minor tweaks of etc/teams.scm

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: zimoun <zimon.toutoune@HIDDEN>; Keywords: patch moreinfo; dated Thu, 20 Oct 2022 13:23:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added tag(s) moreinfo. Request was from Christopher Baines <mail@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 58660 <at> debbugs.gnu.org:


Received: (at 58660) by debbugs.gnu.org; 21 Nov 2022 16:01:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 21 11:01:02 2022
Received: from localhost ([127.0.0.1]:48555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ox9EE-0003mX-9t
	for submit <at> debbugs.gnu.org; Mon, 21 Nov 2022 11:01:02 -0500
Received: from mail-wm1-f50.google.com ([209.85.128.50]:44655)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ox9EC-0003lu-Rv
 for 58660 <at> debbugs.gnu.org; Mon, 21 Nov 2022 11:01:01 -0500
Received: by mail-wm1-f50.google.com with SMTP id
 j5-20020a05600c410500b003cfa9c0ea76so9341509wmi.3
 for <58660 <at> debbugs.gnu.org>; Mon, 21 Nov 2022 08:01:00 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=ca0C6/MBOPO6mzzemcqmNRPTIMUa5KDLWor0nNbk3+0=;
 b=jHvnlzRMx/FlVxZ5C+K6LyfG2vpa9rUKInkGpf4iKTwH+81Q2BzjxlPARpxQfxoWQa
 DDyWcA0JbM2dvCiWzXegEknPHbab/vFXlxYoq56uvGxIyguxLpSloa6Pvpp9Gw/azkqo
 p90SQLdig8j2mdGRsJPVeEqKLT75n2PKd6p/2rCSC1jQ5sWJMpnd02dY/D5zdxdwgYjo
 69ecutibPE/Aj96aaDT4LwPw2j2viKyXLxwfM/YswcIQ3tWpHeCPI7NWxC0paBPi2FwM
 ALbPLaglBFC3f0xbzr9Y2rbqSMkYjK4N/4wCE8dpsiLSu4lkw9use8YALwU0qxOIXCcK
 uDcg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=ca0C6/MBOPO6mzzemcqmNRPTIMUa5KDLWor0nNbk3+0=;
 b=Vz2ZrHv/i9M4gYw+xILGHvhh1HhlWD1xSN8ih4R018SEJJy1qzBz85U3RjE3kuV8Rn
 BoTxo9uAQOZSELzozAjhQU6vbz9mrBCAEiwrCtPGRbKqQyn3seDqwC35EnlaVUXDgM4J
 X5GhxydmrROy1CGSORFr4cc/v3jlLHXsfflYjBXzBt6IywhCTdygFhaKl64MaCsnEl6Y
 qYpxG7C/JIfBbHjkO0QGZDo4ynTm2VRD0sl5hlti/ZZPPj9tJ+qaHOZ68uhD8GwJ49Dr
 scM7thmlse3Py3z/JMBIF+aLuIgH0APe6jf+KPjo0fbevzdwvIQERNbI7VZYo5PPyfpr
 Z+TQ==
X-Gm-Message-State: ANoB5plOegCW0Z+BInfIX3BZtgm9mOXKdMm/YlvH7OF+5GgjGfYb+Ns0
 zE5DaGPx1plhPWKKio7/IH753tLKktQ=
X-Google-Smtp-Source: AA0mqf4D4GUZ93jXNJ+RydxFAoDLpOhGttyIETM4RMGM7geQB1zgYuWZZRb600F/jtOOdGVUnmYU0g==
X-Received: by 2002:a05:600c:3b04:b0:3cf:6fd8:95a4 with SMTP id
 m4-20020a05600c3b0400b003cf6fd895a4mr13160466wms.73.1669046454794; 
 Mon, 21 Nov 2022 08:00:54 -0800 (PST)
Received: from pfiuh07 ([193.48.40.241]) by smtp.gmail.com with ESMTPSA id
 f3-20020a5d4dc3000000b0022e57e66824sm13247179wru.99.2022.11.21.08.00.54
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 21 Nov 2022 08:00:54 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: [bug#58660] [PATCH v2 1/3] etc: teams: Add 'show' subcommand.
In-Reply-To: <87bkp4f9wx.fsf@HIDDEN>
References: <20221117202820.2054593-1-zimon.toutoune@HIDDEN>
 <87bkp4f9wx.fsf@HIDDEN>
Date: Mon, 21 Nov 2022 17:00:52 +0100
Message-ID: <87h6yswb4b.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58660
Cc: 58660 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Mathieu,

On Fri, 18 Nov 2022 at 18:29, Mathieu Othacehe <othacehe@HIDDEN> wrote:

> This procedure is starting to get a little complex. We could put the
> above is a sub-procedure called "print-team".

I will try to revamp for a v3.

>> +       (sort
>> +        (hash-map->list (lambda (key value) value) %teams)
>> +        (lambda (team1 team2)
>> +          (string<? (symbol->string (team-id team1))
>> +                    (symbol->string (team-id team2))))))))
>
> That could be in a variable called %sorted-teams.

This had been introduced by 18fb7c0f3078216bf4fc865d86b3be76ddc68414.
Indeed, it could be extracted; part of the revamp.


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#58660; Package guix-patches. Full text available.

Message received at 58660 <at> debbugs.gnu.org:


Received: (at 58660) by debbugs.gnu.org; 21 Nov 2022 15:02:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 21 10:02:43 2022
Received: from localhost ([127.0.0.1]:48446 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ox8Jn-0008EE-5C
	for submit <at> debbugs.gnu.org; Mon, 21 Nov 2022 10:02:43 -0500
Received: from mail-wr1-f50.google.com ([209.85.221.50]:44558)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ox8Jh-0008Dm-Dy
 for 58660 <at> debbugs.gnu.org; Mon, 21 Nov 2022 10:02:41 -0500
Received: by mail-wr1-f50.google.com with SMTP id v1so20223915wrt.11
 for <58660 <at> debbugs.gnu.org>; Mon, 21 Nov 2022 07:02:37 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:from:to:cc:subject:date:message-id
 :reply-to; bh=yIokWvCkfy99rUgs/dPHGwHwC0YLk4VqAToKSLhGQP8=;
 b=QHoYtv5wliUdBgjf8Jnl5LGxsl1AdOyU82LZRCrJCzpfxvPn3oJTkLKz3afjqMA1Q2
 XUMGZoZIybhiKTohRyuaS0WXfI7YlznNQuuHINvBgezaNvScrCidJmy9YB3ivXdOx9yP
 ZPliMdw6TttFNy2Tf4Y3tvGgozNZoUXbB5iggTISZAg83SOvmI6BL483IiiABNWr7FsR
 Azd5dHTVe85KG9w9KWTj4HNWt4MTdCrzjGqBDffoWVTd6tYNDSQntLmAItx5k+PeYGvJ
 Sx43edJ3UGVyYU5FlMH3Gc13tTID0WRPFbFP77vZEVii95uoEp3cPI8buJzQ/BcVZh+S
 LSwg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=yIokWvCkfy99rUgs/dPHGwHwC0YLk4VqAToKSLhGQP8=;
 b=l2Y+JtX/jv1l3uFoS15f4ll4XcOcJ7uJIucF7ZHvdCEJTjqpLDkhni8HZ4SvKcXdSI
 31u/m0N9yepLlEWtpjbQUbIPnizovlcNzFFNiRgBeWDuS+Oe6eILxKITtA3q0LZUJxox
 IhL3JqKY9CeZgcUM5n45WyBA46By6Nyw8mHJszBqHUynFDfFYyE0sOU4Oh/oi01iBnOv
 2zpwDuLXv6z41Z4BJQsmuSTTa77ARDGEeRDxgtaI1cydszJmRuRTVcIigbCwxjW7sa70
 wByVRBQBo+ajsIZ1MjYuBrsrGKs4OBHTKe4PkpMDmEA7r9ViF8WqrWpzjVXGwImlippV
 XkTQ==
X-Gm-Message-State: ANoB5pkiL3QAz623lRd29f15VYIHgDn8nqKS8nLAaf+zVbMNCM5HXxwL
 58xC0c8GDmDkVybTVPMnuV3/BoMK84g=
X-Google-Smtp-Source: AA0mqf41TdSNl/adq5q5cfTlClCu1HVM8DluOaqTU54di7QXQlwBy4pd8gRUuFiClGx3RGoDFv1a+g==
X-Received: by 2002:adf:dcd2:0:b0:241:b99c:b48 with SMTP id
 x18-20020adfdcd2000000b00241b99c0b48mr10959451wrm.45.1669042944855; 
 Mon, 21 Nov 2022 07:02:24 -0800 (PST)
Received: from pfiuh07 ([193.48.40.241]) by smtp.gmail.com with ESMTPSA id
 p6-20020a1c5446000000b003b47e75b401sm18192976wmi.37.2022.11.21.07.02.23
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 21 Nov 2022 07:02:23 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: [bug#58660] [PATCH v2 2/3] etc: teams: Sort and itemize 'scope'
 field.
In-Reply-To: <87fsegfa77.fsf@HIDDEN>
References: <20221117202820.2054593-1-zimon.toutoune@HIDDEN>
 <20221117202820.2054593-2-zimon.toutoune@HIDDEN>
 <87fsegfa77.fsf@HIDDEN>
Date: Mon, 21 Nov 2022 15:11:33 +0100
Message-ID: <878rk4xuqy.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58660
Cc: 58660 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Mathieu,

On Fri, 18 Nov 2022 at 18:23, Mathieu Othacehe <othacehe@HIDDEN> wrote:


> Why not:
>
> (scope (format #f "scope:~%~{+ ~s ~}~%" scope))

Because this does not =E2=80=9Citemize=E2=80=9D correctly.  For instance, i=
t outputs:

--8<---------------cut here---------------start------------->8---
id: python
name: Python team
description: Python, Python packages, the "pypi" importer, and the python-b=
uild-system.
scope:
+ "gnu/packages/django.scm" + "gnu/packages/jupyter.scm" + #<regexp 7f40880=
0d500> + "gnu/packages/sphinx.scm" + "gnu/packages/tryton.scm" + "guix/buil=
d/pyproject-build-system.scm" + "guix/build-system/pyproject.scm" + "guix/b=
uild/python-build-system.scm" + "guix/build-system/python.scm" + "guix/impo=
rt/pypi.scm" + "guix/scripts/import/pypi.scm" + "tests/pypi.scm"=20
members:
+ Lars-Dominik Braun <lars@HIDDEN>
+ jgart <jgart@HIDDEN>
--8<---------------cut here---------------end--------------->8---

When what we want is:

--8<---------------cut here---------------start------------->8---
scope:
+ "gnu/packages/django.scm"
+ "gnu/packages/jupyter.scm"
+ #<regexp 7f408800d500>
+ "gnu/packages/sphinx.scm"
+ "gnu/packages/tryton.scm"
+ "guix/build/pyproject-build-system.scm"
+ "guix/build-system/pyproject.scm"
+ "guix/build/python-build-system.scm"
+ "guix/build-system/python.scm"
+ "guix/import/pypi.scm"
+ "guix/scripts/import/pypi.scm"
+ "tests/pypi.scm"=20
--8<---------------cut here---------------end--------------->8---

Well, the =E2=80=99~%=E2=80=99 is included:

    (scope (format #f "scope:~%~{+ ~s~% ~}~%" scope))))

then there is one extra:

--8<---------------cut here---------------start------------->8---
id: python
name: Python team
description: Python, Python packages, the "pypi" importer, and the python-b=
uild-system.
scope:
+ "gnu/packages/django.scm"
 + "gnu/packages/jupyter.scm"
 + #<regexp 7f40de756500>
 + "gnu/packages/sphinx.scm"
 + "gnu/packages/tryton.scm"
 + "guix/build/pyproject-build-system.scm"
 + "guix/build-system/pyproject.scm"
 + "guix/build/python-build-system.scm"
 + "guix/build-system/python.scm"
 + "guix/import/pypi.scm"
 + "guix/scripts/import/pypi.scm"
 + "tests/pypi.scm"
=20
members:
+ Lars-Dominik Braun <lars@HIDDEN>
+ jgart <jgart@HIDDEN>
--8<---------------cut here---------------end--------------->8---


>> +                  string<=3D?)))))
>
> At that point, scope is not always a string:
>
> --8<---------------cut here---------------start------------->8---
> ERROR: In procedure string<=3D?:
> In procedure string<=3D: Wrong type argument in position 1 (expecting str=
ing): #<regexp 7fd842030980>
> --8<---------------cut here---------------end--------------->8---

Hum, I miss how you get that.  This,

    (map (lambda (scope) (format #f "+ ~a~%" scope)) scope-files)

transforms all as string.  For instance, applying this patch on the top
of the introduction of =E2=80=9C./etc/teams.scm show=E2=80=9D, I get:

--8<---------------cut here---------------start------------->8---
id: python
name: Python team
description: Python, Python packages, the "pypi" importer, and the python-b=
uild-system.
scope:
+ #<regexp 7fc05bdd6500>
+ gnu/packages/django.scm
+ gnu/packages/jupyter.scm
+ gnu/packages/sphinx.scm
+ gnu/packages/tryton.scm
+ guix/build-system/pyproject.scm
+ guix/build-system/python.scm
+ guix/build/pyproject-build-system.scm
+ guix/build/python-build-system.scm
+ guix/import/pypi.scm
+ guix/scripts/import/pypi.scm
+ tests/pypi.scm
members:
+ Lars-Dominik Braun <lars@HIDDEN>
+ jgart <jgart@HIDDEN>
--8<---------------cut here---------------end--------------->8---


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#58660; Package guix-patches. Full text available.

Message received at 58660 <at> debbugs.gnu.org:


Received: (at 58660) by debbugs.gnu.org; 18 Nov 2022 17:31:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 12:31:22 2022
Received: from localhost ([127.0.0.1]:38178 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow5Cz-0002GD-OE
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 12:31:21 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58160)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1ow5Cx-0002G0-Tb
 for 58660 <at> debbugs.gnu.org; Fri, 18 Nov 2022 12:31:20 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1ow5Cs-0000xv-MU; Fri, 18 Nov 2022 12:31:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=XXE9Ys47QBuJETI0Y8DY0uB14oqT0CBaRuEr+3Ub2JQ=; b=M6SMDMMqMIOghQGpgTmH
 TBYnTbqAa8e9nKYzkalmBF1e+l6FXoQXb3BZcLTxa3h9UUVuca7QnXflDxUMQ0fubvLptfZqUVdG0
 2PKOvSfYV3v+KpFX8PQJIpXZAnwpofPTO5oeLAIjHQQD5YuYbVsObjM8VBmnLhskzeXMHia42QGhi
 QNPA6kkgRLBys99KG4VpGvEl9E1/vrU3Si5igydNl/EW6OURdZuvkdgzyY205x5o6zfuRGtD0/6ab
 LrFDMIyLn6p7NuKWOMXfRCz1IlvWhZSAQdEgBPxTQ6A1aUVpCE+hOzXz1PfRGfsxQ9GOjrRhbeV9l
 moD5tqt4ofGHLA==;
Received: from 2a02-8429-81d2-3d01-94c9-8097-ea5c-2775.rev.sfr.net
 ([2a02:8429:81d2:3d01:94c9:8097:ea5c:2775] helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1ow5Cs-0006jf-3u; Fri, 18 Nov 2022 12:31:14 -0500
From: Mathieu Othacehe <othacehe@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: [bug#58660] [PATCH 0/4] Minor tweaks of etc/teams.scm
References: <20221020132140.1546684-1-zimon.toutoune@HIDDEN>
 <87pmdwm6zy.fsf@HIDDEN> <87edu1xr6g.fsf@HIDDEN>
Date: Fri, 18 Nov 2022 18:31:11 +0100
In-Reply-To: <87edu1xr6g.fsf@HIDDEN> (zimoun's message of "Thu, 17 Nov 2022
 21:27:19 +0100")
Message-ID: <877czsf9uo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58660
Cc: 58660 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hey,

Thanks for the v2 :)

> I have added another subcommand.
>
> $ ./etc/teams.scm show python

Nice.

> Well, all are an improvement, I guess.  Then, even if merged, we can
> still improve and walk the tree. :-)

Sure, seems like a good start indeed.

I made a few comments, could you please send a v3?

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#58660; Package guix-patches. Full text available.

Message received at 58660 <at> debbugs.gnu.org:


Received: (at 58660) by debbugs.gnu.org; 18 Nov 2022 17:30:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 12:30:00 2022
Received: from localhost ([127.0.0.1]:38173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow5Bg-0002CO-Bh
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 12:30:00 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40130)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1ow5Be-0002CB-Av
 for 58660 <at> debbugs.gnu.org; Fri, 18 Nov 2022 12:29:58 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1ow5BZ-0000Vi-33; Fri, 18 Nov 2022 12:29:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=UT888Yn7LyiuQckII1iPD+ESvccV3kV+LJTcy/eZrOE=; b=eETxZYbwUvkLUEi9qxos
 Y2yAc42KjvdniycGOm25m917gX+MJ2AG4CoNZxklU37zNbjwas7pxzdyBEEQM5zMO/Q0I9uu4HKQb
 JulBGugqxKDTypk39Y87eJNR4b96xWLHcldkg0+PbxVa1uV2MVgzA2XRjUJuJIbwVXg7uMKguWVGE
 3/qJkGGe3mo0C+LloNQQVISJXXP1LGG1AN8r2+fA/b9lgFUtIwKxEj+bjDMlZM6rm/G5a/rippmym
 1JM0nrgVTR+ZtYajixyNEjZvWrnQh8BK2eeWqfdCqxnVaR9PvG0VdcHNCVjoIqamtDHZyLmx1V/dP
 Mfut2kvuIq9T5Q==;
Received: from 2a02-8429-81d2-3d01-94c9-8097-ea5c-2775.rev.sfr.net
 ([2a02:8429:81d2:3d01:94c9:8097:ea5c:2775] helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1ow5BY-0006Vu-GH; Fri, 18 Nov 2022 12:29:52 -0500
From: Mathieu Othacehe <othacehe@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: [PATCH v2 1/3] etc: teams: Add 'show' subcommand.
References: <20221117202820.2054593-1-zimon.toutoune@HIDDEN>
Date: Fri, 18 Nov 2022 18:29:50 +0100
In-Reply-To: <20221117202820.2054593-1-zimon.toutoune@HIDDEN> (zimoun's
 message of "Thu, 17 Nov 2022 21:28:18 +0100")
Message-ID: <87bkp4f9wx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58660
Cc: 58660 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello,

>    "Print all teams, their scope and their members."
>    (define port* (current-output-port))
>    (define width* (%text-width))
> @@ -564,11 +565,13 @@ (define width* (%text-width))
>                 (scope (format #f "scope: ~{~s ~}~%" scope))))
>       (list-members team port* "+ ")
>       (newline))

This procedure is starting to get a little complex. We could put the
above is a sub-procedure called "print-team".

> +       (sort
> +        (hash-map->list (lambda (key value) value) %teams)
> +        (lambda (team1 team2)
> +          (string<? (symbol->string (team-id team1))
> +                    (symbol->string (team-id team2))))))))

That could be in a variable called %sorted-teams.

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#58660; Package guix-patches. Full text available.

Message received at 58660 <at> debbugs.gnu.org:


Received: (at 58660) by debbugs.gnu.org; 18 Nov 2022 17:23:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 18 12:23:53 2022
Received: from localhost ([127.0.0.1]:38166 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ow55l-000243-Il
	for submit <at> debbugs.gnu.org; Fri, 18 Nov 2022 12:23:53 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1ow55j-00023r-P5
 for 58660 <at> debbugs.gnu.org; Fri, 18 Nov 2022 12:23:52 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1ow55e-00086x-Hh; Fri, 18 Nov 2022 12:23:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=LxqJnxxzB4MkJXWBR9qRTaDiaGvl+cQ1vcDr1lFr7+Y=; b=T9uP8B0Qt+VLwirwWPx6
 4NVQxESFyHxqG6lR7cwXHsA5svQpLDYdbLyqshMQWFig8k1KRQXj/UUzGudfzdYbJhvmesjlfpBFB
 ZPk9GSzaLVGEDkt3K6vAA0Lt2gSb59HSmBzicqrI1reDb0wCvtZ+uVES4COIAhCS1trH+0uj1pmkV
 Upv2ZTPb6fyCf/HTVmZXBgtOCnfpKqIdYf5YbBzM/LmltFYf/6pmvqLZofY2c2AKDz4NuVCg+fMCY
 Be5yWNX6ZH3yo4VJTiNxx7c8JlJXwiS0ir5+q96dRTrZlAOOU1VCVyiC5wAwa0xL6eNAqg006/QaG
 i6kAYiuitOT4sQ==;
Received: from 2a02-8429-81d2-3d01-94c9-8097-ea5c-2775.rev.sfr.net
 ([2a02:8429:81d2:3d01:94c9:8097:ea5c:2775] helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1ow55d-0007LM-Pl; Fri, 18 Nov 2022 12:23:46 -0500
From: Mathieu Othacehe <othacehe@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: [PATCH v2 2/3] etc: teams: Sort and itemize 'scope' field.
References: <20221117202820.2054593-1-zimon.toutoune@HIDDEN>
 <20221117202820.2054593-2-zimon.toutoune@HIDDEN>
Date: Fri, 18 Nov 2022 18:23:40 +0100
In-Reply-To: <20221117202820.2054593-2-zimon.toutoune@HIDDEN> (zimoun's
 message of "Thu, 17 Nov 2022 21:28:19 +0100")
Message-ID: <87fsegfa77.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58660
Cc: 58660 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello,

> +               (scope-files
> +                (fold
> +                 (lambda (str fmt)
> +                   (string-append fmt str))
> +                 (format #f "scope:~%")
> +                 (sort
> +                  (map (lambda (scope) (format #f "+ ~a~%" scope)) scope-files)

Why not:

(scope (format #f "scope:~%~{+ ~s ~}~%" scope))

> +                  string<=?)))))

At that point, scope is not always a string:

--8<---------------cut here---------------start------------->8---
ERROR: In procedure string<=?:
In procedure string<=: Wrong type argument in position 1 (expecting string): #<regexp 7fd842030980>
--8<---------------cut here---------------end--------------->8---

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#58660; Package guix-patches. Full text available.

Message received at 58660 <at> debbugs.gnu.org:


Received: (at 58660) by debbugs.gnu.org; 17 Nov 2022 20:28:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 17 15:28:47 2022
Received: from localhost ([127.0.0.1]:34514 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovlV8-0003Sl-Pw
	for submit <at> debbugs.gnu.org; Thu, 17 Nov 2022 15:28:47 -0500
Received: from mail-wr1-f48.google.com ([209.85.221.48]:38516)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ovlV1-0003Rw-NI
 for 58660 <at> debbugs.gnu.org; Thu, 17 Nov 2022 15:28:40 -0500
Received: by mail-wr1-f48.google.com with SMTP id a14so5790063wru.5
 for <58660 <at> debbugs.gnu.org>; Thu, 17 Nov 2022 12:28:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=JL+Pyv5qodwqWNhorL32KWdNy+A7Yt/cPh1xnEO2VW8=;
 b=gfvsR3LnTrfoBSuKGwykqYrQTofA4ib5bKst1V5HLFQkEs0mr3MXxsBdJQPs88MHwI
 5PHSMHsBacZnAgOximdBAYVm1XuiPGi0TmLz4EfxyXQQntZK/TR2XcDYV+708em1Fb25
 3TMe+EpeAKuqAOV57WE3tTrN0JktISpd9BMzfzVy7gbqy0/wsBhjDVob8GdkL/z+che8
 iIV+Ug6nqTpKh2M19RivEujU0DvV5NEepRB3kkizkqius74TkgAew6eL6sLJk/7wJDmg
 JBaXrFuRPJNnHCudveDy1BiG40FLi06WOe13ABATnKMEYawBD7ujI+pggCDUcOIcu9M8
 p6JA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=JL+Pyv5qodwqWNhorL32KWdNy+A7Yt/cPh1xnEO2VW8=;
 b=cipzOwrCnehxuBZkKx8aACfMsQ6pARrdtfUGcJ3D+5FBD0FCOHwRr6EfJclajbE1Az
 y8GAYEYK9zfpY+dpkzk4MfpgXRFmdxxnQyozGRz9B6e0fzJZACSBy8W1JqusTKLKrDFr
 h3Q2RkVv2+57gY/JWjXsTN8KepaTK+JguPnFuZYh7rmq4lGFV5DF23vx2ty5YyqkkcUy
 01iDxFmoFd2vv0UidrCrUfXduwQn7BXcVyQISm7l5eWOzU4NVuwFwCPoUGeAVFc2Srxy
 Ft7mV/SsvRvxeqNroTR8Prw20yfDBWXYIyzvfyStgQxUOKN0AIIrQcHc7sG/BmIUtnSD
 hTPw==
X-Gm-Message-State: ANoB5pkIqDXZqgIpxCQzbdfb4gIVNC8quMQt7jlFPXm1ULqA6vso2drh
 dmQVNPrAWa8zlSLLkEhkV36FhXARqbE=
X-Google-Smtp-Source: AA0mqf7GTdkkkFESovaJNYbO7GqrwXeKBCVhNTnK2Xr/bQ9PTvZP/wl6EeRUDjG5+wddL8RDeJo3PQ==
X-Received: by 2002:adf:ef90:0:b0:235:cebf:8a0f with SMTP id
 d16-20020adfef90000000b00235cebf8a0fmr2502803wro.220.1668716914099; 
 Thu, 17 Nov 2022 12:28:34 -0800 (PST)
Received: from pfiuh07 ([193.48.40.241]) by smtp.gmail.com with ESMTPSA id
 t65-20020a1c4644000000b003cfa622a18asm6642744wma.3.2022.11.17.12.28.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 17 Nov 2022 12:28:33 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: Mathieu Othacehe <othacehe@HIDDEN>
Subject: Re: [bug#58660] [PATCH 0/4] Minor tweaks of etc/teams.scm
In-Reply-To: <87pmdwm6zy.fsf@HIDDEN>
References: <20221020132140.1546684-1-zimon.toutoune@HIDDEN>
 <87pmdwm6zy.fsf@HIDDEN>
Date: Thu, 17 Nov 2022 21:27:19 +0100
Message-ID: <87edu1xr6g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58660
Cc: 58660 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Please see v2.  Improving on the top (bb4d32b655) of already merged
patches. :-)

On Wed, 09 Nov 2022 at 17:23, Mathieu Othacehe <othacehe@HIDDEN> wrote:

> Regarding the last patch, I'm also not really convinced that users will
> understand that the id is meant as a shortcut for later recsel usage.

I have added another subcommand.


--8<---------------cut here---------------start------------->8---
$ ./etc/teams.scm show python
id: python
name: Python team
description: Python, Python packages, the "pypi" importer, and the python-build-system.
scope: "gnu/packages/django.scm" "gnu/packages/jupyter.scm" #<regexp 7f0e8e231500> "gnu/packages/sphinx.scm" "gnu/packages/tryton.scm" "guix/build/pyproject-build-system.scm" "guix/build-system/pyproject.scm" "guix/build/python-build-system.scm" "guix/build-system/python.scm" "guix/import/pypi.scm" "guix/scripts/import/pypi.scm" "tests/pypi.scm" 
members:
+ Lars-Dominik Braun <lars@HIDDEN>
+ jgart <jgart@HIDDEN>
--8<---------------cut here---------------end--------------->8---


> Let me know if you'd like to implement what's proposed by paren,
> otherwise I think we can close that one :)

Well, I am not convinced by walking all the tree.  Therefore, second
patch just itemize the current list.

--8<---------------cut here---------------start------------->8---
id: python
name: Python team
description: Python, Python packages, the "pypi" importer, and the python-build-system.
scope:
+ #<regexp 7f6315fb3500>
+ gnu/packages/django.scm
+ gnu/packages/jupyter.scm
+ gnu/packages/sphinx.scm
+ gnu/packages/tryton.scm
+ guix/build-system/pyproject.scm
+ guix/build-system/python.scm
+ guix/build/pyproject-build-system.scm
+ guix/build/python-build-system.scm
+ guix/import/pypi.scm
+ guix/scripts/import/pypi.scm
+ tests/pypi.scm
members:
+ Lars-Dominik Braun <lars@HIDDEN>
+ jgart <jgart@HIDDEN>
--8<---------------cut here---------------end--------------->8---

And the last patch replaces the #<regexp...> by the string pattern.

--8<---------------cut here---------------start------------->8---
id: python
name: Python team
description: Python, Python packages, the "pypi" importer, and the python-build-system.
scope:
+ ^gnu/packages/python(-.+|)\.scm$
+ gnu/packages/django.scm
+ gnu/packages/jupyter.scm
+ gnu/packages/sphinx.scm
+ gnu/packages/tryton.scm
+ guix/build-system/pyproject.scm
+ guix/build-system/python.scm
+ guix/build/pyproject-build-system.scm
+ guix/build/python-build-system.scm
+ guix/import/pypi.scm
+ guix/scripts/import/pypi.scm
+ tests/pypi.scm
members:
+ Lars-Dominik Braun <lars@HIDDEN>
+ jgart <jgart@HIDDEN>
--8<---------------cut here---------------end--------------->8---

Well, all are an improvement, I guess.  Then, even if merged, we can
still improve and walk the tree. :-)


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#58660; Package guix-patches. Full text available.

Message received at 58660 <at> debbugs.gnu.org:


Received: (at 58660) by debbugs.gnu.org; 17 Nov 2022 20:28:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 17 15:28:46 2022
Received: from localhost ([127.0.0.1]:34512 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovlV8-0003Sd-C0
	for submit <at> debbugs.gnu.org; Thu, 17 Nov 2022 15:28:46 -0500
Received: from mail-wr1-f45.google.com ([209.85.221.45]:38504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ovlUy-0003Rp-0P
 for 58660 <at> debbugs.gnu.org; Thu, 17 Nov 2022 15:28:39 -0500
Received: by mail-wr1-f45.google.com with SMTP id a14so5789826wru.5
 for <58660 <at> debbugs.gnu.org>; Thu, 17 Nov 2022 12:28:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=1TBGtpEon9i47Yc+e1ZYKnqP6pBoVIwId79PKdM859A=;
 b=Mbj+1wprKrRFgwwe2Cki6gTRi6PK+qIWdWQ5ECl8T6iWBt3nLvdN1mSNMqMgoAbpUr
 +NUGSzDiK6rfLTh0Zz0Wt0FSb2XU749avqnvlCCph3y1eLK48lHc6atFvAlX8SEQV2Ul
 EMBZjtnzISci52rasMh4ZBbt7c9NIgbIGYBrNMxjD2zKGtNFKp0GORRNVVPpir90gurH
 NSxWHyCIbt+OgXUn/O9y3TXV+mJPL8urc5CjYRSlHCxzzhs5EdCwJIXQUGwTusSPxGQ/
 CMzIbCJY+0+cMugR8XpeltWeiVKHopj4Nus4lFEKxbfyXa01SD+BpvkrL+InUrVjoG4J
 L56w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=1TBGtpEon9i47Yc+e1ZYKnqP6pBoVIwId79PKdM859A=;
 b=UEPRoxOOgaQEwS6m7yMQbvJiSBYCY3a/VAct5jb4G/HMFes8WezpckwEvodOQ/8G/E
 dh1qcNJUADbYr3podh4uC4q/lkkExOI/MzpetcwIQLW7ttlolFB+b1j3bjVDzgzRSo6w
 npQPV2lhlkl0ZIwafr/aqFXPxUsZbxkotQ2S8WNSreEpXSXpLmI5Bpnti1Y+OISa7I2C
 g8hes5l3OFvwS3YpqRr0WCF6PtrJtXbyXPB4N5lfZdHjJaOh++ZAvkssX7u4kL1ttp0W
 qjLF2FxMCZHnnAQgOjGFBuFbJGuS6sS4NEhtqfV6oqmpNXArFbHItnbw8CYf5yFvV8EG
 LY/A==
X-Gm-Message-State: ANoB5plnV6kVN48Cyp4rzEjLQPI5YI+fZWViMLcCvng/P6Xl52tzawjU
 b+2KrdL0nn2Ltwi8N19ngGvLWZnMDg4=
X-Google-Smtp-Source: AA0mqf4QUkpdx4sdL6chZHUqYVvRhOlSzhF+4rwlhNX6ZjWTkeqB/Axr7iMh71LkSdL+xzq2VqyTug==
X-Received: by 2002:a5d:4c4a:0:b0:236:6101:7b7d with SMTP id
 n10-20020a5d4c4a000000b0023661017b7dmr2453282wrt.484.1668716908964; 
 Thu, 17 Nov 2022 12:28:28 -0800 (PST)
Received: from localhost.localdomain ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id
 p6-20020a1c5446000000b003b47e75b401sm6539516wmi.37.2022.11.17.12.28.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 17 Nov 2022 12:28:28 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: 58660 <at> debbugs.gnu.org
Subject: [PATCH v2 1/3] etc: teams: Add 'show' subcommand.
Date: Thu, 17 Nov 2022 21:28:18 +0100
Message-Id: <20221117202820.2054593-1-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.38.1
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58660
Cc: othacehe@HIDDEN, zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* etc/teams.scm.in: Add 'show' subcommand.
---
 etc/teams.scm.in | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

diff --git a/etc/teams.scm.in b/etc/teams.scm.in
index c458b14e3b..e4e0dc209d 100644
--- a/etc/teams.scm.in
+++ b/etc/teams.scm.in
@@ -5,6 +5,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2022 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2022 Mathieu Othacehe <othacehe@HIDDEN>
+;;; Copyright © 2022 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -538,7 +539,7 @@ (define port* (or port (current-output-port)))
     (team-members team)
     (lambda (m1 m2) (string<? (person-name m1) (person-name m2))))))
 
-(define (list-teams)
+(define* (list-teams #:optional team-names)
   "Print all teams, their scope and their members."
   (define port* (current-output-port))
   (define width* (%text-width))
@@ -564,11 +565,13 @@ (define width* (%text-width))
                (scope (format #f "scope: ~{~s ~}~%" scope))))
      (list-members team port* "+ ")
      (newline))
-   (sort
-    (hash-map->list (lambda (key value) value) %teams)
-    (lambda (team1 team2)
-      (string<? (symbol->string (team-id team1))
-                (symbol->string (team-id team2)))))))
+   (if team-names
+       (map find-team team-names)
+       (sort
+        (hash-map->list (lambda (key value) value) %teams)
+        (lambda (team1 team2)
+          (string<? (symbol->string (team-id team1))
+                    (symbol->string (team-id team2))))))))
 
 
 (define (diff-revisions rev-start rev-end)
@@ -611,6 +614,8 @@ (define (main . args)
       (lambda (team-name)
         (list-members (find-team team-name)))
       team-names))
+    (("show" . team-names)
+     (list-teams team-names))
     (anything
      (format (current-error-port)
              "Usage: etc/teams.scm <command> [<args>]
@@ -619,6 +624,7 @@ (define (main . args)
   cc <team-name>            get git send-email flags for cc-ing <team-name>
   cc-members <start> <end>  cc teams related to files changed between revisions
   list-teams                list teams and their members
-  list-members <team-name>  list members belonging to <team-name>~%"))))
+  list-members <team-name>  list members belonging to <team-name>
+  show <team-name>          display <team-name> properties~%"))))
 
 (apply main (cdr (command-line)))
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#58660; Package guix-patches. Full text available.

Message received at 58660 <at> debbugs.gnu.org:


Received: (at 58660) by debbugs.gnu.org; 17 Nov 2022 20:28:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 17 15:28:46 2022
Received: from localhost ([127.0.0.1]:34510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovlV3-0003SW-Qe
	for submit <at> debbugs.gnu.org; Thu, 17 Nov 2022 15:28:46 -0500
Received: from mail-wr1-f46.google.com ([209.85.221.46]:47000)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ovlUy-0003Rq-92
 for 58660 <at> debbugs.gnu.org; Thu, 17 Nov 2022 15:28:38 -0500
Received: by mail-wr1-f46.google.com with SMTP id d9so5728878wrm.13
 for <58660 <at> debbugs.gnu.org>; Thu, 17 Nov 2022 12:28:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=SBu6/VncbabV8y7Zd9kk9WioD6SVms8n859TA92vlFE=;
 b=ETlQFvKpx4/Fx15LoR5Kl1xenmJuoAEw08LE4hcc8Dkbth/Aq5c11ePeNtEZFFn4sp
 M6UgH9ofKg2Ydxi0qosRL2GzmcTyu/bmD9Y20bw1GzqOGJwNhLnAZzAnhLMBIMir8oxU
 BjFfGLBtG4bttI7QHQhFUeSZ5sHt0/tB+6qMHHYSgOq2rWA5bpoMMy/hcQWfir/FV8Oe
 QRIt7ePE0Yqrw3AfR3gqKb6PRhdrzK6PH+jtnR1rR9RgDwT/B50qjz3AZsYv0fNoDy8O
 O5DMg/kyswYG8TQW6rnuiBjzKOs2vAgScaj4PLUA3mrHNKPZGtlxfbe7745cvJ8WLJvZ
 3FVg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=SBu6/VncbabV8y7Zd9kk9WioD6SVms8n859TA92vlFE=;
 b=0GIE+8r5k0Mt8xyDt6OJxD+A1CkZ8dX7FUII3MvrdijeXmA9URTsfGG6wioJD8r9wP
 VDC6Sz7rtuymvLtJSp8qYA6X8UiBafNUh+CG5YFSLm4f7W2Hl0ebojSO+LWdCMj7sZY/
 y3xMvYp5Eb5/ix9T4soRmLcKoNNtFXqGtMsc2zV06gs4tSWz7TfjpDdUsvJxT92XGPnH
 sLGGt2OsBpJgFA7OTLJw93yVxqTTyjAMJBppi5edL8GYb3151ne86Cn7KZK2IRJIizJU
 vvVuxYy0HVYcJ8aWSkbaonNImwB8GPDTH3bRVwk5wdpad96uzO7Pose6fI4xKmBk/Vwi
 09Nw==
X-Gm-Message-State: ANoB5plv1Nq39/3P7Izt/Euh1gQCB77X779AdBkohgfY73lMaAZ1f33U
 dK5GohL6DLZT6JTteUHqHkYLEqyBqRA=
X-Google-Smtp-Source: AA0mqf49QoJ9Ie/7cXTXuArclTDNgBIgRDIPJ8aY+n60fh1o6loWq50274XOa3QWcbi26uRKv7hSCw==
X-Received: by 2002:adf:b606:0:b0:22e:2efe:3176 with SMTP id
 f6-20020adfb606000000b0022e2efe3176mr2469122wre.241.1668716910586; 
 Thu, 17 Nov 2022 12:28:30 -0800 (PST)
Received: from localhost.localdomain ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id
 p6-20020a1c5446000000b003b47e75b401sm6539516wmi.37.2022.11.17.12.28.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 17 Nov 2022 12:28:30 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: 58660 <at> debbugs.gnu.org
Subject: [PATCH v2 3/3] etc: teams: Improve display of regular expression in
 'scope' field.
Date: Thu, 17 Nov 2022 21:28:20 +0100
Message-Id: <20221117202820.2054593-3-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221117202820.2054593-1-zimon.toutoune@HIDDEN>
References: <20221117202820.2054593-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58660
Cc: othacehe@HIDDEN, zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* etc/teams.scm.in (<regexp*>): New record type.
(make-regexp*, regexp-exec*): New procedures.
(python, haskell, julia, java, emacs, rust, core, translations, installer,
home): Use it.
(find-team-by-scope): Use it.
(list-teams): Use it.
---
 etc/teams.scm.in | 59 +++++++++++++++++++++++++++++++++---------------
 1 file changed, 41 insertions(+), 18 deletions(-)

diff --git a/etc/teams.scm.in b/etc/teams.scm.in
index 3f90e0e6f2..3bdf91597f 100644
--- a/etc/teams.scm.in
+++ b/etc/teams.scm.in
@@ -38,6 +38,25 @@
              (guix ui)
              (git))
 
+;;; Work around regexp implementation.
+;;; This record allows to track the regexp pattern and then display it.
+(define-record-type <regexp*>
+  (regexp* pat flag)
+  regexp*?
+  (pat regexp-pattern*)
+  (flag regexp-flag*))
+
+(define* (make-regexp* pat #:optional flag)
+  (regexp* pat flag))
+
+(define (regexp-exec* rx* str)
+  (let ((rx (make-regexp
+             (regexp-pattern* rx*)
+             (or (regexp-flag* rx*)
+                 regexp/extended))))
+    (regexp-exec rx str)))
+
+
 (define-record-type <team>
   (make-team id name description members scope)
   team?
@@ -98,7 +117,7 @@ (define-team python
         (list "gnu/packages/django.scm"
               "gnu/packages/jupyter.scm"
               ;; Match haskell.scm and haskell-*.scm.
-              (make-regexp "^gnu/packages/python(-.+|)\\.scm$")
+              (make-regexp* "^gnu/packages/python(-.+|)\\.scm$")
               "gnu/packages/sphinx.scm"
               "gnu/packages/tryton.scm"
               "guix/build/pyproject-build-system.scm"
@@ -118,7 +137,7 @@ (define-team haskell
         #:scope
         (list "gnu/packages/dhall.scm"
               ;; Match haskell.scm and haskell-*.scm.
-              (make-regexp "^gnu/packages/haskell(-.+|)\\.scm$")
+              (make-regexp* "^gnu/packages/haskell(-.+|)\\.scm$")
               "gnu/packages/purescript.scm"
               "guix/build/haskell-build-system.scm"
               "guix/build-system/haskell.scm"
@@ -146,7 +165,7 @@ (define-team julia
         #:name "Julia team"
         #:description
         "The Julia language, Julia packages, and the julia-build-system."
-        #:scope (list (make-regexp "^gnu/packages/julia(-.+|)\\.scm$")
+        #:scope (list (make-regexp* "^gnu/packages/julia(-.+|)\\.scm$")
                       "guix/build/julia-build-system.scm"
                       "guix/build-system/julia.scm")))
 
@@ -175,14 +194,14 @@ (define-team java
 and the maven-build-system."
         #:scope
         (list ;; Match java.scm and java-*.scm.
-              (make-regexp "^gnu/packages/java(-.+|)\\.scm$")
+              (make-regexp* "^gnu/packages/java(-.+|)\\.scm$")
               ;; Match maven.scm and maven-*.scm
-              (make-regexp "^gnu/packages/maven(-.+|)\\.scm$")
+              (make-regexp* "^gnu/packages/maven(-.+|)\\.scm$")
               "guix/build/ant-build-system.scm"
               "guix/build/java-utils.scm"
               "guix/build/maven-build-system.scm"
               ;; The maven directory
-              (make-regexp "^guix/build/maven/")
+              (make-regexp* "^guix/build/maven/")
               "guix/build-system/ant.scm"
               "guix/build-system/maven.scm")))
 
@@ -195,7 +214,7 @@ (define-team emacs
         #:name "Emacs team"
         #:description "The extensible, customizable text editor and its
 ecosystem."
-        #:scope (list (make-regexp "^gnu/packages/emacs(-.+|)\\.scm$")
+        #:scope (list (make-regexp* "^gnu/packages/emacs(-.+|)\\.scm$")
                       "guix/build/emacs-build-system.scm"
                       "guix/build/emacs-utils.scm"
                       "guix/build-system/emacs.scm"
@@ -209,7 +228,7 @@ (define-team lisp
         #:description
         "Common Lisp and similar languages, Common Lisp packages and the
 asdf-build-system."
-        #:scope (list (make-regexp "^gnu/packages/lisp(-.+|)\\.scm$")
+        #:scope (list (make-regexp* "^gnu/packages/lisp(-.+|)\\.scm$")
                       "guix/build/asdf-build-system.scm"
                       "guix/build/lisp-utils.scm"
                       "guix/build-system/asdf.scm")))
@@ -241,7 +260,7 @@ (define-team embedded-bootstrap
 (define-team rust
   (team 'rust
         #:name "Rust"
-        #:scope (list (make-regexp "^gnu/packages/(crates|rust)(-.+|)\\.scm$")
+        #:scope (list (make-regexp* "^gnu/packages/(crates|rust)(-.+|)\\.scm$")
                       "guix/build/cargo-build-system.scm"
                       "guix/build/cargo-utils.scm"
                       "guix/build-system/cargo.scm"
@@ -339,9 +358,9 @@ (define-team core
               "guix/upstream.scm"
               "guix/utils.scm"
               "guix/workers.scm"
-              (make-regexp "^guix/platforms/")
-              (make-regexp "^guix/scripts/")
-              (make-regexp "^guix/store/"))))
+              (make-regexp* "^guix/platforms/")
+              (make-regexp* "^guix/scripts/")
+              (make-regexp* "^guix/store/"))))
 
 (define-team games
   (team 'games
@@ -358,17 +377,17 @@ (define-team translations
   (team 'translations
         #:name "Translations"
         #:scope (list "etc/news.scm"
-                      (make-regexp "^po/"))))
+                      (make-regexp* "^po/"))))
 
 (define-team installer
   (team 'installer
         #:name "Installer script and system installer"
-        #:scope (list (make-regexp "^gnu/installer(\\.scm$|/)"))))
+        #:scope (list (make-regexp* "^gnu/installer(\\.scm$|/)"))))
 
 (define-team home
   (team 'home
         #:name "Team for \"Guix Home\""
-        #:scope (list (make-regexp "^(gnu|guix/scripts)/home(\\.scm$|/)")
+        #:scope (list (make-regexp* "^(gnu|guix/scripts)/home(\\.scm$|/)")
                       "tests/guix-home.sh"
                       "tests/home-import.scm"
                       "tests/home-services.scm")))
@@ -508,8 +527,8 @@ (define (find-team-by-scope files)
                 (any (match-lambda
                        ((? string? scope)
                         (string=? scope file))
-                       ((? regexp? scope)
-                        (regexp-exec scope file)))
+                       ((? regexp*? scope)
+                        (regexp-exec* scope file)))
                      (team-scope team)))
               files)
          (cons team acc)
@@ -568,7 +587,11 @@ (define width* (%text-width))
                    (string-append fmt str))
                  (format #f "scope:~%")
                  (sort
-                  (map (lambda (scope) (format #f "+ ~a~%" scope)) scope-files)
+                  (map (compose (cut format #f "+ ~a~%" <>)
+                                (match-lambda
+                                  ((? regexp*? rx*) (regexp-pattern* rx*))
+                                  ((? string? str) str)))
+                       scope-files)
                   string<=?)))))
      (list-members team port* "+ ")
      (newline))
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#58660; Package guix-patches. Full text available.

Message received at 58660 <at> debbugs.gnu.org:


Received: (at 58660) by debbugs.gnu.org; 17 Nov 2022 20:28:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 17 15:28:39 2022
Received: from localhost ([127.0.0.1]:34507 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ovlV1-0003SI-IU
	for submit <at> debbugs.gnu.org; Thu, 17 Nov 2022 15:28:39 -0500
Received: from mail-wr1-f52.google.com ([209.85.221.52]:45962)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1ovlUy-0003Ro-0I
 for 58660 <at> debbugs.gnu.org; Thu, 17 Nov 2022 15:28:37 -0500
Received: by mail-wr1-f52.google.com with SMTP id y16so5720503wrt.12
 for <58660 <at> debbugs.gnu.org>; Thu, 17 Nov 2022 12:28:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=3oqvUIfpC2exuC52wfPnoj1ILyx+qkaxpugPTVTd6lU=;
 b=SAYbl9a7L95zxvAcxhsJ4WGRfAZNJsZ3Fh9+QfWDQhkqvUy02jkVzxOE+ARn/P+qGC
 9Qy9hm24OHxzOqo+atXg+Vq89nUIxY9Fmyx30o+/H/S6RQ/zKh71p3tH1hovCrYZ7PI+
 olM+Pcvw9kB6TL5gMOlEqp254ow1cXIunC2zVDUksQ090tviIu0J1P5mJ4kPZ3S30vLe
 9N10bBKB0rukRn5SeYQKRqg98DupG8EWA69EYItGdjSYF2jbR4XMMhw63ufIKfagCqU3
 xA0vJabuksFwESHgSIj8GEalqYuHFssZ3rCjU1DkHqxSdPpRyPl4+BsDVNR6m+vmxNdc
 Q7kQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=3oqvUIfpC2exuC52wfPnoj1ILyx+qkaxpugPTVTd6lU=;
 b=FJIn03pJG07eBs9Phu8WE9p93mlLQXRnl7DKVnU9nT78DEdhJPnU3RxZT+eR11vgWd
 F2R9rsoJWqVJ+vydIbG2ntWVkziIQWe/jTgyGy641huI4m9sN0jkf/FNm+Y+sIW2YAFg
 2x1fzpVl6UfWCg7Eiaic6MGXrLAlF02xqfpels7wKkiADKc6JQ0Jbv2i6IB+tOTPu0O8
 PaVnY+qu/orQZ9VFzYHEvIa4KrXnlBiixcAnvkt+dEJtDuYCc1bZ+nL3zVN1EMKsuc3b
 wxEE1RRnLbRrX3sk9uSAY7Uwpao+apS85DpXgDe/irkF8zCueoU/bU8Rs5rb5c4m7eN9
 h5sQ==
X-Gm-Message-State: ANoB5plIp7uIQ3RUaYlDWgMCAXsoSHmmU34gPVrgQApajy/M+LM7vOIV
 nbft9WbLXMvYPF/ElrgfyA3lob1FFvA=
X-Google-Smtp-Source: AA0mqf7Ui1ITtO63apIM/+zaJEOsSanOw3ByaeWSPEUuVGFi2pXduinkbjmdM5HNCVwHwk2+l0eMiw==
X-Received: by 2002:adf:ce0b:0:b0:235:a4a5:8e91 with SMTP id
 p11-20020adfce0b000000b00235a4a58e91mr2578728wrn.404.1668716909851; 
 Thu, 17 Nov 2022 12:28:29 -0800 (PST)
Received: from localhost.localdomain ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id
 p6-20020a1c5446000000b003b47e75b401sm6539516wmi.37.2022.11.17.12.28.29
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 17 Nov 2022 12:28:29 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: 58660 <at> debbugs.gnu.org
Subject: [PATCH v2 2/3] etc: teams: Sort and itemize 'scope' field.
Date: Thu, 17 Nov 2022 21:28:19 +0100
Message-Id: <20221117202820.2054593-2-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20221117202820.2054593-1-zimon.toutoune@HIDDEN>
References: <20221117202820.2054593-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58660
Cc: othacehe@HIDDEN, zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* etc/teams.scm.in (list-teams): Sort and itemize the 'scope' field.
---
 etc/teams.scm.in | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/etc/teams.scm.in b/etc/teams.scm.in
index e4e0dc209d..3f90e0e6f2 100644
--- a/etc/teams.scm.in
+++ b/etc/teams.scm.in
@@ -562,7 +562,14 @@ (define width* (%text-width))
                  "<none>")
              (match (team-scope team)
                (() "")
-               (scope (format #f "scope: ~{~s ~}~%" scope))))
+               (scope-files
+                (fold
+                 (lambda (str fmt)
+                   (string-append fmt str))
+                 (format #f "scope:~%")
+                 (sort
+                  (map (lambda (scope) (format #f "+ ~a~%" scope)) scope-files)
+                  string<=?)))))
      (list-members team port* "+ ")
      (newline))
    (if team-names
-- 
2.38.1





Information forwarded to guix-patches@HIDDEN:
bug#58660; Package guix-patches. Full text available.

Message received at 58660 <at> debbugs.gnu.org:


Received: (at 58660) by debbugs.gnu.org; 9 Nov 2022 16:23:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 09 11:23:59 2022
Received: from localhost ([127.0.0.1]:40679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1osnrq-0001Tb-V8
	for submit <at> debbugs.gnu.org; Wed, 09 Nov 2022 11:23:59 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <othacehe@HIDDEN>) id 1osnrl-0001TF-ML
 for 58660 <at> debbugs.gnu.org; Wed, 09 Nov 2022 11:23:57 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1osnrg-0001pu-Bd; Wed, 09 Nov 2022 11:23:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=cINHv3ix0R3f/vN1/rCokPj1WuLShr23dJmJg/ruYOY=; b=Kf3DyU9Pt0u5nd2xJeB3
 ZXpDV6ZMbChI7y1phPEHwmxKJ4G5ldltH51B5/P2UN1hlJGIo8rWbrWMVLmddvkDl4dl5siTiDo0r
 kypNNLAi/pyEhhR0UCeYfLtdhhEBmRjEK49v9wAgEm5Hb4R9dPO+gSYqiUt+KOQiJtp9i3ILfGwm7
 9SLIwfg0CvhAQykakzEL2FKtU1qQpjweEZtyTKxlJI8z4IrcUFepeqTWA5dkzCi9V0vtvIxQxmpnY
 aTLe4gVTTLOVkc2hKuvZPWEQ3fiCjBTqWPdUllEE5aLYfeRCLS+2ATY0f5YPcnspNdM5P28yW+moE
 zsjL8zBcXzoNhA==;
Received: from 2a02-8429-81d2-3d01-94c9-8097-ea5c-2775.rev.sfr.net
 ([2a02:8429:81d2:3d01:94c9:8097:ea5c:2775] helo=meije)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <othacehe@HIDDEN>)
 id 1osnrf-0003w9-Us; Wed, 09 Nov 2022 11:23:48 -0500
From: Mathieu Othacehe <othacehe@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#58660: [PATCH 0/4] Minor tweaks of etc/teams.scm
References: <20221020132140.1546684-1-zimon.toutoune@HIDDEN>
Date: Wed, 09 Nov 2022 17:23:45 +0100
In-Reply-To: <20221020132140.1546684-1-zimon.toutoune@HIDDEN> (zimoun's
 message of "Thu, 20 Oct 2022 15:21:40 +0200")
Message-ID: <87pmdwm6zy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58660
Cc: 58660 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


Hello zimoun,

I applied patches two and three.

Regarding the first patch, I find the paren suggestions quite
nice. Showing the list of affected files can help to tweak the
corresponding regex . The list display of the scope also
appears more readable.

> Hence the last patch, (hum, I am not convinced :-))
>
> $ etc/teams.scm list-teams | recsel -Cp id
> id: (0) core
> id: (1) emacs

Regarding the last patch, I'm also not really convinced that users will
understand that the id is meant as a shortcut for later recsel usage.

Let me know if you'd like to implement what's proposed by paren,
otherwise I think we can close that one :)

Thanks,

Mathieu




Information forwarded to guix-patches@HIDDEN:
bug#58660; Package guix-patches. Full text available.

Message received at 58660 <at> debbugs.gnu.org:


Received: (at 58660) by debbugs.gnu.org; 5 Nov 2022 13:30:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 05 09:30:08 2022
Received: from localhost ([127.0.0.1]:55956 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1orJFP-0006u8-MG
	for submit <at> debbugs.gnu.org; Sat, 05 Nov 2022 09:30:08 -0400
Received: from knopi.disroot.org ([178.21.23.139]:44088)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1orJFL-0006tf-6e
 for 58660 <at> debbugs.gnu.org; Sat, 05 Nov 2022 09:30:06 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 902F84124E;
 Sat,  5 Nov 2022 14:30:01 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id VEHO6I0tO50f; Sat,  5 Nov 2022 14:30:00 +0100 (CET)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1667655000; bh=Q5gzYV771rjoJcrZNe2xoxTOMr6E/cDlBA3aDS3Gc1g=;
 h=Date:Subject:From:To:References:In-Reply-To:From;
 b=ASaS40dhh0MDkIsrmD63cDydxT1j6lq245nFHrggqB4W82IcXB8YTE9kifHl/kw8S
 89kKHrh7IZD/qsWl7Kw9dfepQaLeVwqaZ+YJ+rvtlrjEP5rWnzz3YGILrO4gnonQ+p
 IZNYuQDNuhtFh+Zrc41gsD3Fc/rox4HJdYCmDFbTejm70jOvqUKz6C5GWKaUDDFGLe
 Z2Y7Au/vajmbGLuCKAc68JuZpUQUdZBxgRrIHui9NPTB6Rs8x56ksLsoeCy1VGmt01
 kiNGB0WRpCn1cIZ/4ob1kh2ic43JUemYvh9x/nXFgwhfoB7k2ks3/wrRafsSz+DBLG
 2pnNbsc8CasMA==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Sat, 05 Nov 2022 13:29:59 +0000
Message-Id: <CO4ECYNBPNLA.3118M5GDGEUG7@guix-framework>
Subject: Re: [bug#58660] [PATCH 1/4] etc: teams: Improve scope display.
From: "(" <paren@HIDDEN>
To: "zimoun" <zimon.toutoune@HIDDEN>, <58660 <at> debbugs.gnu.org>
References: <20221020132140.1546684-1-zimon.toutoune@HIDDEN>
 <20221020132814.1549436-1-zimon.toutoune@HIDDEN>
 <CO4CTZTMR1V2.3TI0Z84P2Y05Q@guix-framework> <86fsexv97s.fsf@HIDDEN>
In-Reply-To: <86fsexv97s.fsf@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  On Sat Nov 5, 2022 at 1:09 PM GMT, zimoun wrote: > It means
    walk the repository tree and it is currently not done – and it > is not
    a good direction, IMHO. > > Well, we could maintain the plain list [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.3 FROM_ONE_CHAR          Bogus FROM name
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 58660
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

On Sat Nov 5, 2022 at 1:09 PM GMT, zimoun wrote:
> It means walk the repository tree and it is currently not done =E2=80=93 =
and it
> is not a good direction, IMHO.
>
> Well, we could maintain the plain list of files instead of these
> regexps.  I am not convinced it would be better.

I guess it could make list-teams slower, but I don't think it'd matter
too much. It's an infrequently-used script, after all, and I think the
vast majority of machines would be able to run a ftw for each regex
fast enough.

> Some teams have a lot of files, see =E2=80=99core=E2=80=99.  And I do not=
 have an
> opinion about which kind of list is better for readability.

I find this quite hard to read:

  scope: "guix/avahi.scm" "guix/base16.scm" "guix/base32.scm" "guix/base64.=
scm" "guix/bzr-download.scm" "guix/cache.scm" "guix/channels.scm" "guix/ci.=
scm" "guix/colors.scm" "guix/combinators.scm" "guix/config.scm" "guix/cpio.=
scm" "guix/cpu.scm" "guix/cve.scm" "guix/cvs-download.scm" "guix/deprecatio=
n.scm" "guix/derivations.scm" "guix/describe.scm" "guix/diagnostics.scm" "g=
uix/discovery.scm" "guix/docker.scm" "guix/download.scm" "guix/elf.scm" "gu=
ix/ftp-client.scm" "guix/gexp.scm" "guix/git-authenticate.scm" "guix/git-do=
wnload.scm" "guix/git.scm" "guix/glob.scm" "guix/gnu-maintenance.scm" "guix=
/gnupg.scm" "guix/grafts.scm" "guix/graph.scm" "guix/hash.scm" "guix/hg-dow=
nload.scm" "guix/http-client.scm" "guix/i18n.scm" "guix/inferior.scm" "guix=
/ipfs.scm" "guix/least-authority.scm" "guix/licenses.scm" "guix/lint.scm" "=
guix/man-db.scm" "guix/memoization.scm" "guix/modules.scm" "guix/monad-repl=
.scm" "guix/monads.scm" "guix/narinfo.scm" "guix/nar.scm" "guix/openpgp.scm=
" "guix/packages.scm" "guix/pki.scm" "guix/platform.scm" "guix/profiles.scm=
" "guix/profiling.scm" "guix/progress.scm" "guix/quirks.scm" "guix/read-pri=
nt.scm" "guix/records.scm" "guix/remote.scm" "guix/repl.scm" "guix/search-p=
aths.scm" "guix/self.scm" "guix/serialization.scm" "guix/sets.scm" "guix/ss=
h.scm" "guix/status.scm" "guix/store.scm" "guix/substitutes.scm" "guix/svn-=
download.scm" "guix/swh.scm" "guix/tests.scm" "guix/transformations.scm" "g=
uix/ui.scm" "guix/upstream.scm" "guix/utils.scm" "guix/workers.scm" #<regex=
p 7f5b707a3bc0> #<regexp 7f5b707a39c0> #<regexp 7f5b707a3980>=20

compared to this, even if it's a bit long:

  scope:
  + guix/avahi.scm
  + guix/base16.scm
  + guix/base32.scm
  + guix/base64.scm
  + guix/bzr-download.scm
  + guix/cache.scm
  + guix/channels.scm
  + guix/ci.scm
  + guix/colors.scm
  + guix/combinators.scm
  + guix/config.scm
  + guix/cpio.scm
  + guix/cpu.scm
  + guix/cve.scm
  + guix/cvs-download.scm
  + guix/deprecation.scm
  + guix/derivations.scm
  + guix/describe.scm
  + guix/diagnostics.scm
  + guix/discovery.scm
  + guix/docker.scm
  + guix/download.scm
  + guix/elf.scm
  + guix/ftp-client.scm
  + guix/gexp.scm
  + guix/git-authenticate.scm
  + guix/git-download.scm
  + guix/git.scm
  + guix/glob.scm
  + guix/gnu-maintenance.scm
  + guix/gnupg.scm
  + guix/grafts.scm
  + guix/graph.scm
  + guix/hash.scm
  + guix/hg-download.scm
  + guix/http-client.scm
  + guix/i18n.scm
  + guix/inferior.scm
  + guix/ipfs.scm
  + guix/least-authority.scm
  + guix/licenses.scm
  + guix/lint.scm
  + guix/man-db.scm
  + guix/memoization.scm
  + guix/modules.scm
  + guix/monad-repl.scm
  + guix/monads.scm
  + guix/narinfo.scm
  + guix/nar.scm
  + guix/openpgp.scm
  + guix/packages.scm
  + guix/pki.scm
  + guix/platform.scm
  + guix/profiles.scm
  + guix/profiling.scm
  + guix/progress.scm
  + guix/quirks.scm
  + guix/read-print.scm
  + guix/records.scm
  + guix/remote.scm
  + guix/repl.scm
  + guix/search-paths.scm
  + guix/self.scm
  + guix/serialization.scm
  + guix/sets.scm
  + guix/ssh.scm
  + guix/status.scm
  + guix/store.scm
  + guix/substitutes.scm
  + guix/svn-download.scm
  + guix/swh.scm
  + guix/tests.scm
  + guix/transformations.scm
  + guix/ui.scm
  + guix/upstream.scm
  + guix/utils.scm
  + guix/workers.scm
  + (regex)
  + (regex)
  + (regex)

  -- (




Information forwarded to guix-patches@HIDDEN:
bug#58660; Package guix-patches. Full text available.

Message received at 58660 <at> debbugs.gnu.org:


Received: (at 58660) by debbugs.gnu.org; 5 Nov 2022 13:19:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 05 09:19:50 2022
Received: from localhost ([127.0.0.1]:55951 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1orJ5S-0006e8-Ia
	for submit <at> debbugs.gnu.org; Sat, 05 Nov 2022 09:19:50 -0400
Received: from mail-wr1-f53.google.com ([209.85.221.53]:33387)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1orJ5Q-0006ds-6d
 for 58660 <at> debbugs.gnu.org; Sat, 05 Nov 2022 09:19:49 -0400
Received: by mail-wr1-f53.google.com with SMTP id h9so10466614wrt.0
 for <58660 <at> debbugs.gnu.org>; Sat, 05 Nov 2022 06:19:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:to:from:from:to:cc:subject:date:message-id
 :reply-to; bh=cwmvlcuobt6JNQk/p6cX41k4JHb+zaT3j/e8pBq8LX4=;
 b=H9+PgBJNKkNQopKjjlFoXWj8DGXCWrQX7Xb55PyKfA24KgAhXOwr/54YYMClORSQ+W
 uo4IiUZvd4ETXGy1DYdh61BpK+/C/J0ExWXdgAL19ZsHa+cQb+9Jm7QTCA4Y2JPzfE9c
 AtaLpmfEIx3gNJ3jMXhfrtDBgMQi2GOR2/ZQrcp6JKJxaO1gwofWCpgCZoEH5YGbzGRu
 YWI+H9xSHz1bBbr+Zw+kKXjygO+tKkjUPRSEYX3ATpW1pmbCKCbW9WM3TBcwEGGwhsBd
 BfIzTeUmRxsMo6pffLYpL5jSJvXrA3laNlZHco42vPxF38dUkwzZxVixD1p3rcNiUX0b
 eIRw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:to:from:x-gm-message-state:from:to:cc:subject
 :date:message-id:reply-to;
 bh=cwmvlcuobt6JNQk/p6cX41k4JHb+zaT3j/e8pBq8LX4=;
 b=2/PNBRYjekJBIDt8DgI2I4YkoWlnkO+y34er7N6oWznpGk/FaT11t3rj6+ugHeZ9NE
 1AusXBvSnpEosDfQN1VfMkhWm6Wr/fgfnyfKDMDMwEccHY9tUcyLiz9xHTi98hcZtNiZ
 llM9J7BmMs2gSCV+wZXg/K7S4IgZsBhnxlRevNLGR/gIfhE5mvheZvaWuep8b4DY+zF0
 PutLA5lQgYZ933SNsE/pNnP5Eu8JMI09aHo9Xp1qL9HO6h1Gyq2FP//Apeh3I1YCT259
 YZM010F1pKWTQXmyX4fL+pnpP9dfG8HS2CHTEPhd254XiUrWdO4MF+phVIxFWeECdXlv
 uChg==
X-Gm-Message-State: ACrzQf06K559TAdOc+u3CHJWEorxL11X1SC1+A99MseWMR5KASDM0ynd
 AImGB/Ll0DVneDETnpxgFACkhC7DxuQ=
X-Google-Smtp-Source: AMsMyM4TY4WbH28sp5QoO1g4gn3st8GwsDnDI0PFcSqWGZZnt6our3APnvckIKsT4HYCGTxeP+Fn+w==
X-Received: by 2002:a5d:6dac:0:b0:236:6018:ebee with SMTP id
 u12-20020a5d6dac000000b002366018ebeemr24384180wrs.202.1667654382254; 
 Sat, 05 Nov 2022 06:19:42 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id
 n4-20020a5d6604000000b002366fb99cdasm2083495wru.50.2022.11.05.06.19.41
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 05 Nov 2022 06:19:41 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: "(" <paren@HIDDEN>, 58660 <at> debbugs.gnu.org
Subject: Re: [bug#58660] [PATCH 1/4] etc: teams: Improve scope display.
In-Reply-To: <CO4CTZTMR1V2.3TI0Z84P2Y05Q@guix-framework>
References: <20221020132140.1546684-1-zimon.toutoune@HIDDEN>
 <20221020132814.1549436-1-zimon.toutoune@HIDDEN>
 <CO4CTZTMR1V2.3TI0Z84P2Y05Q@guix-framework>
Date: Sat, 05 Nov 2022 14:09:43 +0100
Message-ID: <86fsexv97s.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58660
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Sat, 05 Nov 2022 at 12:18, "\( via Guix-patches" via <guix-patches@HIDDEN=
rg> wrote:

> Would it not be better to, instead of displaying the actual regex
> itself, display the files that match the regex, and separate the files
> onto separate lines?

You are proposing 2 things=E2=80=A6

>                      Eg, rather than,
>
>   scope: "^gnu/packages/julia(-.+|).scm$" "guix/build/julia-build-system.=
scm" "guix/build-system/julia.scm"
>
> we could display,
>
>   scope:
>   + gnu/packages/julia.scm
>   + gnu/packages/julia-jll.scm
>   + gnu/packages/julia-xyz.scm
>   + guix/build/julia-build-system.scm
>   + guix/build-system/julia.scm

=E2=80=A6one, about expanded regexp.

It means walk the repository tree and it is currently not done =E2=80=93 an=
d it
is not a good direction, IMHO.

Well, we could maintain the plain list of files instead of these
regexps.  I am not convinced it would be better.


=E2=80=A6two, about item list instead of oneline list.

Some teams have a lot of files, see =E2=80=99core=E2=80=99.  And I do not h=
ave an
opinion about which kind of list is better for readability.


WDYT?

Cheers,
simon





Information forwarded to guix-patches@HIDDEN:
bug#58660; Package guix-patches. Full text available.

Message received at 58660 <at> debbugs.gnu.org:


Received: (at 58660) by debbugs.gnu.org; 5 Nov 2022 12:18:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 05 08:18:23 2022
Received: from localhost ([127.0.0.1]:55867 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1orI7y-00054s-Nf
	for submit <at> debbugs.gnu.org; Sat, 05 Nov 2022 08:18:22 -0400
Received: from knopi.disroot.org ([178.21.23.139]:54706)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1orI7v-00054h-Dd
 for 58660 <at> debbugs.gnu.org; Sat, 05 Nov 2022 08:18:20 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 0CEE04122A;
 Sat,  5 Nov 2022 13:18:18 +0100 (CET)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id FoOo-39yYiCk; Sat,  5 Nov 2022 13:18:13 +0100 (CET)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1667650693; bh=rvcbsz+WMuX1uwc3weYb4R64CoeEPo+rvi0wGIkbF70=;
 h=Date:To:Subject:From:References:In-Reply-To:From;
 b=AWV+AggU4WnTsT2+d0uHm829kIzb8Vhu4/DvMnVn0qOzctLa51K472PZLUHLDHFk7
 Jrw0jt3KtwFWt1DJSBZQvhhLZ+ByLdPRQJT0X24uHxdl56NxXq43s1Pg3+/I5H/H2H
 fRDQOxCIk3qccV9qQkmVH0ZAN4/8y17w+dleHK0lJ6ec2gK64HrEJk1Qp7rBnv3yqP
 LtWUJHUhPQB5+9kH0LjPmeQIRWPNxNN1olumyDrrl26ZxyQ3Tr8lNiSUVwwR7Gir78
 RUQfCGiJcOQfU4p9TSw5rgThq4f5L3TjHNhK0NDU1jIJDtGg0zss/8zoaMOtziciGW
 qolyHAGQwoW1w==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Sat, 05 Nov 2022 12:18:12 +0000
Message-Id: <CO4CTZTMR1V2.3TI0Z84P2Y05Q@guix-framework>
To: "zimoun" <zimon.toutoune@HIDDEN>, <58660 <at> debbugs.gnu.org>
Subject: Re: [bug#58660] [PATCH 1/4] etc: teams: Improve scope display.
From: "(" <paren@HIDDEN>
References: <20221020132140.1546684-1-zimon.toutoune@HIDDEN>
 <20221020132814.1549436-1-zimon.toutoune@HIDDEN>
In-Reply-To: <20221020132814.1549436-1-zimon.toutoune@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Heya, On Thu Oct 20, 2022 at 2:28 PM BST, zimoun wrote: >
 * etc/teams.scm.in (<regexp*>): New record type. > (make-regexp*,
 regexp-exec*):
 New procedures. > (python, haskell, julia, java, emacs, rust, core, [...]
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.3 FROM_ONE_CHAR          Bogus FROM name
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
X-Debbugs-Envelope-To: 58660
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

Heya,

On Thu Oct 20, 2022 at 2:28 PM BST, zimoun wrote:
> * etc/teams.scm.in (<regexp*>): New record type.
> (make-regexp*, regexp-exec*): New procedures.
> (python, haskell, julia, java, emacs, rust, core, translations, installer=
,
> home): Use it.
> (find-team-by-scope): Use it.
> (list-teams): Use it and sort scope files.

> @@ -553,7 +573,13 @@ (define width* (%text-width))
> +               (scope (format #f "scope: ~{~s ~}~%"
> +                              (sort
> +                               (map (match-lambda
> +                                      ((? regexp*? rx*) (regexp-pattern*=
 rx*))
> +                                      ((? string? str) str))
> +                                    scope)
> +                               string<=3D?)))))

Would it not be better to, instead of displaying the actual regex
itself, display the files that match the regex, and separate the files
onto separate lines? Eg, rather than,

  scope: "^gnu/packages/julia(-.+|).scm$" "guix/build/julia-build-system.sc=
m" "guix/build-system/julia.scm"

we could display,

  scope:
  + gnu/packages/julia.scm
  + gnu/packages/julia-jll.scm
  + gnu/packages/julia-xyz.scm
  + guix/build/julia-build-system.scm
  + guix/build-system/julia.scm

I find this to be much clearer.

    -- (




Information forwarded to guix-patches@HIDDEN:
bug#58660; Package guix-patches. Full text available.

Message received at 58660 <at> debbugs.gnu.org:


Received: (at 58660) by debbugs.gnu.org; 4 Nov 2022 10:14:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 04 06:14:55 2022
Received: from localhost ([127.0.0.1]:51828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oqtiw-0004ua-MY
	for submit <at> debbugs.gnu.org; Fri, 04 Nov 2022 06:14:55 -0400
Received: from mail-wr1-f41.google.com ([209.85.221.41]:40840)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1oqtiu-0004uB-8M
 for 58660 <at> debbugs.gnu.org; Fri, 04 Nov 2022 06:14:53 -0400
Received: by mail-wr1-f41.google.com with SMTP id z14so6369867wrn.7
 for <58660 <at> debbugs.gnu.org>; Fri, 04 Nov 2022 03:14:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:from:to:cc:subject
 :date:message-id:reply-to;
 bh=Rkikfaj7MIcJyJsM5gF9C+pHDEAlmdIougVrb4mNgw4=;
 b=BBS2H7Op7D7NObcHZ7WLDmH2vmGZJKeCJmbV/1zOW/DkvhNFZ4Vp6HyO1udamY2iVc
 jPPgm/iOhejVhZF/QbguKaaBZPP3ACZy58NtjpRRrfjRAQta2XcIdsB5xEIhCyOd/LzZ
 b6F1gjQnX3jv1t+O62QMfBuiyPL3SjilOdrMQcTjV3FI3MiUooiWUBx3wIfH7ccSlp/g
 Nxn+0Yb5ViFyjmmIzU/Y5OpYLkAv4ervJyR1emTn7S584M5ShQm2DmByVZGa2kshXYqK
 UDxcRPKe55tp6MUwg7bMrj6J8IZhzd5HOZVoxEY30fl2pxNKxRB3U6dA9RFHFtzuzJGr
 fLOw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id
 :in-reply-to:date:references:subject:cc:to:from:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=Rkikfaj7MIcJyJsM5gF9C+pHDEAlmdIougVrb4mNgw4=;
 b=hpZRbL0LwHHtG5l7yfJNUFzj5zo4g9GEBb9+HZZC6sgzAZuvNXmOR+qvxAO2oepiNL
 1XbPoKKorwYqx0gWX+ne3gKDZIRdMihfs8ByttH8Av9iC2WoKdaH6V5PeR83eO5r5E6G
 5JvCdatq2n93GC1GM0VQKntCAi4TLduhvXQlonAmb76+kijgqM5cr6IX7PG6hhFFAKqQ
 V7UsfIBjzwE9XCF1jfna5Mo17QILjlG2bO9VeVU7nlYp2FqgjJP7sH5tsCmJpwZ2B78d
 IOa8NrO8iUGsqr7XVTMFhQPSg2mMQNxCaw+XRmkFoK9M+qupftMCk9gyHwb/TGZhBU21
 fhzA==
X-Gm-Message-State: ACrzQf2NqaJd1xVctDgG+xsTo+JTQU0we+Jq9TpDGdYk3myk074c0QVj
 m/5DCp5SNMpgw3/7IBmUI7U=
X-Google-Smtp-Source: AMsMyM5/DuSxexyNXMZJHHGkHYzBsOEgVzrmKtA32BiVeG5E4u82Q+ohGT80M5c2VeGyja46aUMMtw==
X-Received: by 2002:a5d:494f:0:b0:236:a691:676c with SMTP id
 r15-20020a5d494f000000b00236a691676cmr22557808wrs.51.1667556886655; 
 Fri, 04 Nov 2022 03:14:46 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id
 ba7-20020a0560001c0700b00236705daefesm3129290wrb.39.2022.11.04.03.14.45
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 04 Nov 2022 03:14:46 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: 58660 <at> debbugs.gnu.org
Subject: Re: bug#58660: [PATCH 0/4] Minor tweaks of etc/teams.scm
References: <20221020132140.1546684-1-zimon.toutoune@HIDDEN>
Date: Fri, 04 Nov 2022 11:11:13 +0100
In-Reply-To: <20221020132140.1546684-1-zimon.toutoune@HIDDEN> (zimoun's
 message of "Thu, 20 Oct 2022 15:21:40 +0200")
Message-ID: <86tu3f3u7y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, CC: core teams Friendly ping about patch#58660 [1]. 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (zimon.toutoune[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.41 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.41 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 58660
Cc: dev@HIDDEN, zimon.toutoune@HIDDEN, othacehe@HIDDEN, ludo@HIDDEN,
 mail@HIDDEN, rekado@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hi,

CC: core teams


Friendly ping about patch#58660 [1].

1: <http://issues.guix.gnu.org/issue/58660>


On Thu, 20 Oct 2022 at 15:21, zimoun <zimon.toutoune@HIDDEN> wrote:


Compare old display with ugly regexp

>  id: java
> name: Java and Maven team
> description: The JDK and JRE, the Maven build system, Java packages, the =
ant-build-system, and the maven-build-system.
> scope: #<regexp 7f61135ef3c0> #<regexp 7f61135ef380> "guix/build/ant-buil=
d-system.scm" "guix/build/java-utils.scm" "guix/build/maven-build-system.sc=
m" #<regexp 7f61135ef340> "guix/build-system/ant.scm" "guix/build-system/ma=
ven.scm"
> members:
> + Julien Lepiller <julien@HIDDEN>
> + Bj=C3=B6rn H=C3=B6fling <bjoern.hoefling@HIDDEN>

with the display by this patch:

> id: java
> name: Java and Maven team
> description: The JDK and JRE, the Maven build system, Java packages, the =
ant-build-system, and the maven-build-system.
> scope: "^gnu/packages/java(-.+|)\\.scm$" "^gnu/packages/maven(-.+|)\\.scm=
$" "^guix/build/maven/" "guix/build-system/ant.scm" "guix/build-system/mave=
n.scm" "guix/build/ant-build-system.scm" "guix/build/java-utils.scm" "guix/=
build/maven-build-system.scm"
> members:
> + Julien Lepiller <julien@HIDDEN>
> + Bj=C3=B6rn H=C3=B6fling <bjoern.hoefling@HIDDEN>


The second patch sorts the members,

> $ etc/teams.scm list-members mentors
> ( <paren@HIDDEN>
> Christopher Baines <mail@HIDDEN>
> Ludovic Court=C3=A8s <ludo@HIDDEN>
> Mathieu Othacehe <othacehe@HIDDEN>
> Ricardo Wurmus <rekado@HIDDEN>
> Simon Tournier <zimon.toutoune@HIDDEN>
> jgart <jgart@HIDDEN>


The third patch sorts the teams,

> $ etc/teams.scm list-teams | recsel -Cp id
> id: core
> id: emacs
> id: embedded-bootstrap
> id: games
> id: go
> id: haskell
> id: home
> id: installer
> id: java
> id: julia
> id: kernel
> id: lisp
> id: mentors
> id: mozilla
> id: ocaml
> id: python
> id: r
> id: racket
> id: ruby
> id: rust
> id: science
> id: translations



Last, tangential change=E2=80=A6 :-)

> Note that show a team is not super handy,
>
> $ etc/teams.scm list-teams | recsel -Cp id | grep -n id
> 1:id: core
> 2:id: emacs
> 3:id: embedded-bootstrap
> 4:id: games
> 5:id: go
> 6:id: haskell
> 7:id: home
> 8:id: installer
> 9:id: java
> 10:id: julia
> 11:id: kernel
> 12:id: lisp
> 13:id: mentors
> 14:id: mozilla
> 15:id: ocaml
> 16:id: python
> 17:id: r
> 18:id: racket
> 19:id: ruby
> 20:id: rust
> 21:id: science
> 22:id: translations
>
> $ etc/teams.scm list-teams | recsel -n 7
> id: installer
> name: Installer script and system installer
> description: <none>
> scope: "^gnu/installer(\\.scm$|/)"
> members:
> + Josselin Poiret <dev@HIDDEN>
> + Mathieu Othacehe <othacehe@HIDDEN>
>
>
> Hence the last patch, (hum, I am not convinced :-))
>
> $ etc/teams.scm list-teams | recsel -Cp id
> id: (0) core
> id: (1) emacs
> id: (2) embedded-bootstrap
> id: (3) games
> id: (4) go
> id: (5) haskell
> id: (6) home
> id: (7) installer
> id: (8) java
> id: (9) julia
> id: (10) kernel
> id: (11) lisp
> id: (12) mentors
> id: (13) mozilla
> id: (14) ocaml
> id: (15) python
> id: (16) r
> id: (17) racket
> id: (18) ruby
> id: (19) rust
> id: (20) science
> id: (21) translations
>
> $ etc/teams.scm list-teams | recsel -n 15
> id: (15) python
> name: Python team
> description: Python, Python packages, the "pypi" importer, and the python=
-build-system.
> scope: "^gnu/packages/python(-.+|)\\.scm$" "gnu/packages/django.scm" "gnu=
/packages/jupyter.scm" "gnu/packages/sphinx.scm" "gnu/packages/tryton.scm" =
"guix/build-system/python.scm" "guix/build/python-build-system.scm" "guix/i=
mport/pypi.scm" "guix/scripts/import/pypi.scm" "tests/pypi.scm"
> members:
> + Lars-Dominik Braun <lars@HIDDEN>
> + jgart <jgart@HIDDEN>


Well, if the patches make sense, then I could propose a manual update
(especially some words about recutils which is not common / mainstream.)


Cheers,
simon




Information forwarded to guix-patches@HIDDEN:
bug#58660; Package guix-patches. Full text available.

Message received at 58660 <at> debbugs.gnu.org:


Received: (at 58660) by debbugs.gnu.org; 20 Oct 2022 13:28:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 20 09:28:36 2022
Received: from localhost ([127.0.0.1]:33432 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olVb9-0004DD-Aq
	for submit <at> debbugs.gnu.org; Thu, 20 Oct 2022 09:28:36 -0400
Received: from mail-wm1-f52.google.com ([209.85.128.52]:54816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1olVb2-0004CL-1s
 for 58660 <at> debbugs.gnu.org; Thu, 20 Oct 2022 09:28:32 -0400
Received: by mail-wm1-f52.google.com with SMTP id iv17so14927511wmb.4
 for <58660 <at> debbugs.gnu.org>; Thu, 20 Oct 2022 06:28:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=tlxw45bJgxFmdISskOiVJdcY3N1Hv8dnBrqsrdR4u2o=;
 b=VfEGZXO68oedg5bbb3BNEVZeL091rRFouqlI1wfMPIt6LuD4CKpDnsG6uEZHj+oy4W
 EQ0RuXtkWqCTUK5+Dd1v+4QUjRp9MOR9NHv9R6kqBD58pIwkh3Gdg/1uxW1NEhSKfizj
 ryFqUdIz5QjxkdcJ/HapIICBLBDZgkdzHzdU+H02bgR05/ik6JrtuyB1lB4MiG311UuJ
 UBG0LUld8r7KuiB//88xHKZ7+pq6zSdeVlGd0e2jOQs7Na57Jo+E2T2z2PkZJNArnc27
 N5O/SClEwKPwDMO7+r7rfmXDfcqm+ApiTwyT5197mFkbweQ5OZ7ULtLRidFi4q7R0BIp
 atzQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=tlxw45bJgxFmdISskOiVJdcY3N1Hv8dnBrqsrdR4u2o=;
 b=B8CNrdu3ppFlo7iRJB25WXVEFgsec1+L80/wzJpkBbMb+Jfa+F7suuf9MclZDwBrGh
 qr46qAB/elWaBF4YWDcQVC8v5U2n9ECVppr8IsF1goghDp8Hqihjv6hHouVqbnZrwosh
 tv/kyaH03Uo/BE6LACjpsMgKQ9ni3CUMuuSbsJr6OM/CDog9BmN4XmlseC8kmKlmCnr4
 9m/XihsSBesnmds4KJbuehkWyKNeV0lkuXmLCwWIqZwynI+NRbtHdY2Ymi+oKkAchUyG
 KW3uGWlLrPNYQ5yNMgN7pnz0ZM6TqkIXgbXz800k2JxMkKljLGk4/tBE5WjscbX87KyZ
 XmzA==
X-Gm-Message-State: ACrzQf208PInykrZ08IQGvXv9mSIPU7fA3SKErQKtjanSwwHh58fxtKB
 UyI40fjSrUsPyrvQ+sqf7286JcQJJZg=
X-Google-Smtp-Source: AMsMyM41MAbGx1dGLzszKJ22ar13X7LMTPyCA11369kuaSvO9bjDEW9+YRsc48wFC+0KijAYgduOTw==
X-Received: by 2002:a05:600c:2f08:b0:3c6:befc:9778 with SMTP id
 r8-20020a05600c2f0800b003c6befc9778mr9229943wmn.101.1666272501179; 
 Thu, 20 Oct 2022 06:28:21 -0700 (PDT)
Received: from localhost.localdomain ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id
 q3-20020a1c4303000000b003a8434530bbsm2864668wma.13.2022.10.20.06.28.20
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 20 Oct 2022 06:28:20 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: 58660 <at> debbugs.gnu.org
Subject: [PATCH 1/4] etc: teams: Improve scope display.
Date: Thu, 20 Oct 2022 15:28:11 +0200
Message-Id: <20221020132814.1549436-1-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.36.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58660
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* etc/teams.scm.in (<regexp*>): New record type.
(make-regexp*, regexp-exec*): New procedures.
(python, haskell, julia, java, emacs, rust, core, translations, installer,
home): Use it.
(find-team-by-scope): Use it.
(list-teams): Use it and sort scope files.
---
 etc/teams.scm.in | 62 ++++++++++++++++++++++++++++++++++--------------
 1 file changed, 44 insertions(+), 18 deletions(-)

diff --git a/etc/teams.scm.in b/etc/teams.scm.in
index c27ea5271e..394e4d7d46 100644
--- a/etc/teams.scm.in
+++ b/etc/teams.scm.in
@@ -5,6 +5,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright © 2022 Ricardo Wurmus <rekado@HIDDEN>
 ;;; Copyright © 2022 Mathieu Othacehe <othacehe@HIDDEN>
+;;; Copyright © 2022 Simon Tournier <zimon.toutoune@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -37,6 +38,25 @@
              (guix ui)
              (git))
 
+;;; Work around regexp implementation.
+;;; This record allows to track the regexp pattern and then display it.
+(define-record-type <regexp*>
+  (regexp* pat flag)
+  regexp*?
+  (pat regexp-pattern*)
+  (flag regexp-flag*))
+
+(define* (make-regexp* pat #:optional flag)
+  (regexp* pat flag))
+
+(define (regexp-exec* rx* str)
+  (let ((rx (make-regexp
+             (regexp-pattern* rx*)
+             (or (regexp-flag* rx*)
+                 regexp/extended))))
+    (regexp-exec rx str)))
+
+
 (define-record-type <team>
   (make-team id name description members scope)
   team?
@@ -97,7 +117,7 @@ (define-team python
         (list "gnu/packages/django.scm"
               "gnu/packages/jupyter.scm"
               ;; Match haskell.scm and haskell-*.scm.
-              (make-regexp "^gnu/packages/python(-.+|)\\.scm$")
+              (make-regexp* "^gnu/packages/python(-.+|)\\.scm$")
               "gnu/packages/sphinx.scm"
               "gnu/packages/tryton.scm"
               "guix/build/python-build-system.scm"
@@ -115,7 +135,7 @@ (define-team haskell
         #:scope
         (list "gnu/packages/dhall.scm"
               ;; Match haskell.scm and haskell-*.scm.
-              (make-regexp "^gnu/packages/haskell(-.+|)\\.scm$")
+              (make-regexp* "^gnu/packages/haskell(-.+|)\\.scm$")
               "gnu/packages/purescript.scm"
               "guix/build/haskell-build-system.scm"
               "guix/build-system/haskell.scm"
@@ -143,7 +163,7 @@ (define-team julia
         #:name "Julia team"
         #:description
         "The Julia language, Julia packages, and the julia-build-system."
-        #:scope (list (make-regexp "^gnu/packages/julia(-.+|)\\.scm$")
+        #:scope (list (make-regexp* "^gnu/packages/julia(-.+|)\\.scm$")
                       "guix/build/julia-build-system.scm"
                       "guix/build-system/julia.scm")))
 
@@ -172,14 +192,14 @@ (define-team java
 and the maven-build-system."
         #:scope
         (list ;; Match java.scm and java-*.scm.
-              (make-regexp "^gnu/packages/java(-.+|)\\.scm$")
+              (make-regexp* "^gnu/packages/java(-.+|)\\.scm$")
               ;; Match maven.scm and maven-*.scm
-              (make-regexp "^gnu/packages/maven(-.+|)\\.scm$")
+              (make-regexp* "^gnu/packages/maven(-.+|)\\.scm$")
               "guix/build/ant-build-system.scm"
               "guix/build/java-utils.scm"
               "guix/build/maven-build-system.scm"
               ;; The maven directory
-              (make-regexp "^guix/build/maven/")
+              (make-regexp* "^guix/build/maven/")
               "guix/build-system/ant.scm"
               "guix/build-system/maven.scm")))
 
@@ -192,7 +212,7 @@ (define-team emacs
         #:name "Emacs team"
         #:description "The extensible, customizable text editor and its
 ecosystem."
-        #:scope (list (make-regexp "^gnu/packages/emacs(-.+|)\\.scm$")
+        #:scope (list (make-regexp* "^gnu/packages/emacs(-.+|)\\.scm$")
                       "guix/build/emacs-build-system.scm"
                       "guix/build/emacs-utils.scm"
                       "guix/build-system/emacs.scm"
@@ -206,7 +226,7 @@ (define-team lisp
         #:description
         "Common Lisp and similar languages, Common Lisp packages and the
 asdf-build-system."
-        #:scope (list (make-regexp "^gnu/packages/lisp(-.+|)\\.scm$")
+        #:scope (list (make-regexp* "^gnu/packages/lisp(-.+|)\\.scm$")
                       "guix/build/asdf-build-system.scm"
                       "guix/build/lisp-utils.scm"
                       "guix/build-system/asdf.scm")))
@@ -238,7 +258,7 @@ (define-team embedded-bootstrap
 (define-team rust
   (team 'rust
         #:name "Rust"
-        #:scope (list (make-regexp "^gnu/packages/(crates|rust)(-.+|)\\.scm$")
+        #:scope (list (make-regexp* "^gnu/packages/(crates|rust)(-.+|)\\.scm$")
                       "guix/build/cargo-build-system.scm"
                       "guix/build/cargo-utils.scm"
                       "guix/build-system/cargo.scm"
@@ -336,9 +356,9 @@ (define-team core
               "guix/upstream.scm"
               "guix/utils.scm"
               "guix/workers.scm"
-              (make-regexp "^guix/platforms/")
-              (make-regexp "^guix/scripts/")
-              (make-regexp "^guix/store/"))))
+              (make-regexp* "^guix/platforms/")
+              (make-regexp* "^guix/scripts/")
+              (make-regexp* "^guix/store/"))))
 
 (define-team games
   (team 'games
@@ -355,17 +375,17 @@ (define-team translations
   (team 'translations
         #:name "Translations"
         #:scope (list "etc/news.scm"
-                      (make-regexp "^po/"))))
+                      (make-regexp* "^po/"))))
 
 (define-team installer
   (team 'installer
         #:name "Installer script and system installer"
-        #:scope (list (make-regexp "^gnu/installer(\\.scm$|/)"))))
+        #:scope (list (make-regexp* "^gnu/installer(\\.scm$|/)"))))
 
 (define-team home
   (team 'home
         #:name "Team for \"Guix Home\""
-        #:scope (list (make-regexp "^(gnu|guix/scripts)/home(\\.scm$|/)")
+        #:scope (list (make-regexp* "^(gnu|guix/scripts)/home(\\.scm$|/)")
                       "tests/guix-home.sh"
                       "tests/home-import.scm"
                       "tests/home-services.scm")))
@@ -501,8 +521,8 @@ (define (find-team-by-scope files)
                 (any (match-lambda
                        ((? string? scope)
                         (string=? scope file))
-                       ((? regexp? scope)
-                        (regexp-exec scope file)))
+                       ((? regexp*? scope)
+                        (regexp-exec* scope file)))
                      (team-scope team)))
               files)
          (cons team acc)
@@ -553,7 +573,13 @@ (define width* (%text-width))
                  "<none>")
              (match (team-scope team)
                (() "")
-               (scope (format #f "scope: ~{~s ~}~%" scope))))
+               (scope (format #f "scope: ~{~s ~}~%"
+                              (sort
+                               (map (match-lambda
+                                      ((? regexp*? rx*) (regexp-pattern* rx*))
+                                      ((? string? str) str))
+                                    scope)
+                               string<=?)))))
      (list-members team port* "+ ")
      (newline))
    %teams))
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#58660; Package guix-patches. Full text available.

Message received at 58660 <at> debbugs.gnu.org:


Received: (at 58660) by debbugs.gnu.org; 20 Oct 2022 13:28:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 20 09:28:35 2022
Received: from localhost ([127.0.0.1]:33430 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olVb8-0004D6-SR
	for submit <at> debbugs.gnu.org; Thu, 20 Oct 2022 09:28:35 -0400
Received: from mail-wr1-f52.google.com ([209.85.221.52]:45621)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1olVb3-0004CO-Jl
 for 58660 <at> debbugs.gnu.org; Thu, 20 Oct 2022 09:28:30 -0400
Received: by mail-wr1-f52.google.com with SMTP id a10so34376383wrm.12
 for <58660 <at> debbugs.gnu.org>; Thu, 20 Oct 2022 06:28:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=txtpoAhiHPjVfxCv/bIZRzmJF02nUPE7rX9gUGzpexg=;
 b=ZidBVUQJjuCziT+WbQfS8p8VnOlaPkx8axPSVV8wF0/uI41N2QQuHgTd2oqFEHwjbz
 Ar4jnoF2COS3/qEfps1b7PTTBity2v4Zazz3F/hNJUIQV9LW0R87hBZQ3sm4RtBDB0TA
 2VmTx3pIA7A4XB55Muvp2TSZnK0ygHp8+zQi7oCqDLoNrBbvPYYjV7PPvzgrGLbcuoyK
 t+5RD2Kn4WmYTbz9qaO1HaePuEx/L4NQAxPUTwBi2VtTjGx1B9p3dlwSxgfwkg5kOzHN
 bsdcitosrAvy7hCS0Z0aK6wgZfSR5zjRLYM5B7fNukq9nbtszzGuwToIC5/BDExEA8s1
 eADA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=txtpoAhiHPjVfxCv/bIZRzmJF02nUPE7rX9gUGzpexg=;
 b=szNUxqPaheJQwdlgt64jsliYyjmvnPKgct3uCATWoNzx2YQDrypJDto0zUTC2dMMyY
 EEdekYiVFMMROBcjt3xu/pp+ZjUcZ/GXsxBS+LOqh4ZQeP/JbEzE/2J8vW6GljgcX9ia
 kfmOdeaZrSQIpokZI5o4wO6m7J6Aus5FBSuozVlbZj5+scjUv6QAsFzrRScOy6CKYTCq
 k5oCCl874ualiWR2ZhaScKustnPOEtPwn2VKGUPI5bdnKptE7nqHGp9kYV+/NKG2+bFz
 Q5CEB4Iiz+gQSHUFB+WF8UHgJAKo83F/yY8Z2i5a4eopd/2MipcbNXSZAuxgP0neTDUF
 y2Ag==
X-Gm-Message-State: ACrzQf2wR+WBFGgmV5YgtKdKsDjs5Y4N1vf+E/w7nWuOI5KJ2yidbrTU
 lghbFiVskpt76kjeMX99fEa3MihB8RQ=
X-Google-Smtp-Source: AMsMyM6BOxjQPAw7ic/JeTxnM+66nGZgCcGQLOXTFCvlZPMRwRec9lHDUd2xiw7Y4f/fKkQBIlpGbg==
X-Received: by 2002:a05:6000:8c:b0:22e:45c6:bc4c with SMTP id
 m12-20020a056000008c00b0022e45c6bc4cmr8495052wrx.555.1666272501927; 
 Thu, 20 Oct 2022 06:28:21 -0700 (PDT)
Received: from localhost.localdomain ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id
 q3-20020a1c4303000000b003a8434530bbsm2864668wma.13.2022.10.20.06.28.21
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 20 Oct 2022 06:28:21 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: 58660 <at> debbugs.gnu.org
Subject: [PATCH 2/4] etc: teams: List members sorted by name.
Date: Thu, 20 Oct 2022 15:28:12 +0200
Message-Id: <20221020132814.1549436-2-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20221020132814.1549436-1-zimon.toutoune@HIDDEN>
References: <20221020132814.1549436-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58660
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* etc/teams.scm.in (list-members): Sort by name.
---
 etc/teams.scm.in | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/etc/teams.scm.in b/etc/teams.scm.in
index 394e4d7d46..8e18a5d206 100644
--- a/etc/teams.scm.in
+++ b/etc/teams.scm.in
@@ -548,7 +548,9 @@ (define port* (or port (current-output-port)))
              prefix
              (person-name member)
              (person-email member)))
-   (team-members team)))
+   (sort
+    (team-members team)
+    (lambda (m1 m2) (string<? (person-name m1) (person-name m2))))))
 
 (define (list-teams)
   "Print all teams, their scope and their members."
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#58660; Package guix-patches. Full text available.

Message received at 58660 <at> debbugs.gnu.org:


Received: (at 58660) by debbugs.gnu.org; 20 Oct 2022 13:28:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 20 09:28:34 2022
Received: from localhost ([127.0.0.1]:33428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olVb8-0004D4-Iv
	for submit <at> debbugs.gnu.org; Thu, 20 Oct 2022 09:28:34 -0400
Received: from mail-wr1-f54.google.com ([209.85.221.54]:36578)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1olVb2-0004CQ-Lx
 for 58660 <at> debbugs.gnu.org; Thu, 20 Oct 2022 09:28:29 -0400
Received: by mail-wr1-f54.google.com with SMTP id j7so34467724wrr.3
 for <58660 <at> debbugs.gnu.org>; Thu, 20 Oct 2022 06:28:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=0cS1SnP5IFiMGkvK0CKr3ei8/rfxSK2fXcub4m5RYNk=;
 b=ffpzSgIR9HRS1AnaeBNMzMfee24Z5z3SVWzgx2E+rtuAvTyaTiMj338mJ1ojLMqYZt
 svGZ70Wu6KkaBH2ZSoob1n2oFY25j+OJvSXfHgDSxl/oDh8Z5Q5FLVwN8RPV9PxKX5wi
 J7zFvyMKer8YN8pNSf00MStTRLA6tFXb740hzDa96TprGqQzgS3gBfSeZscYdxgAJjlm
 LS5U62wKz+ia+Z4zu4zcAksN/jy67XcidofN2vNoG0CCa+aU14wxqlkoRF32Dbcb5LXk
 LNccYaxj1oP5Ny+83UznCLdC+CBHEb7Q1o4sI3ce3u4FkYlKZrT1/urqIKWqZgtCZule
 QZ2A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=0cS1SnP5IFiMGkvK0CKr3ei8/rfxSK2fXcub4m5RYNk=;
 b=MO6tW76SyqOBhFC0B2BlKZtGBrlv/LXvu6UmVc2KyTOeLZYzFeNc7da3cjGRZi5wzy
 ErFfG8A2PTtcijQsl2PpDo6uiwHB4hpyKM862bc2iNU6twN4G+ab2YiVM5eAJtLe+Lz+
 l7OluZu+Vis6KKKTzownKW96wdqzO67MD5nZzZOmL3HPkBEiuhBf0mr4WPxFcLOxCoXC
 7Uz3VRLDHXOIMipc+MxZikd+fSLd/M36z5HsV7HC7wih3GbVimc8bstyZox4+UFPiqbc
 wFFtx6iZbIOcokJZtAYzNIJn1LUpFO1YOYOdoblXx7Zb+V6ZH1mQGcNWg3qE0H20CgXI
 IqQA==
X-Gm-Message-State: ACrzQf1lVHBgT07DkhjNOc1G1vxuYpyseTZpmaX0fJPPvqoy0QcPY/aC
 iyRMImoeYgzDwbCmfDfTTy9uNOSFiio=
X-Google-Smtp-Source: AMsMyM6T2VnwB8JRQfC8HM8l4wwovz0podC2GvfjLFkVyxACD4s833vRh9REjYSv/rqflMzTwl8bqA==
X-Received: by 2002:a5d:47c5:0:b0:22e:6573:5621 with SMTP id
 o5-20020a5d47c5000000b0022e65735621mr8574748wrc.478.1666272502927; 
 Thu, 20 Oct 2022 06:28:22 -0700 (PDT)
Received: from localhost.localdomain ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id
 q3-20020a1c4303000000b003a8434530bbsm2864668wma.13.2022.10.20.06.28.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 20 Oct 2022 06:28:22 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: 58660 <at> debbugs.gnu.org
Subject: [PATCH 4/4] etc: teams: Display an id number.
Date: Thu, 20 Oct 2022 15:28:14 +0200
Message-Id: <20221020132814.1549436-4-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20221020132814.1549436-1-zimon.toutoune@HIDDEN>
References: <20221020132814.1549436-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58660
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* etc/teams.scm.in (list-teams): Add id number for easing 'recutils' use.
---
 etc/teams.scm.in | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

diff --git a/etc/teams.scm.in b/etc/teams.scm.in
index 3d4c7319c2..790eb17131 100644
--- a/etc/teams.scm.in
+++ b/etc/teams.scm.in
@@ -556,15 +556,16 @@ (define (list-teams)
   "Print all teams, their scope and their members."
   (define port* (current-output-port))
   (define width* (%text-width))
-  (for-each
-   (lambda (team)
+  (fold
+   (lambda (team id-number)
      (format port*
              "\
-id: ~a
+id: (~d) ~a
 name: ~a
 description: ~a
 ~amembers:
 "
+             id-number
              (team-id team)
              (team-name team)
              (or (and=> (team-description team)
@@ -583,7 +584,9 @@ (define width* (%text-width))
                                     scope)
                                string<=?)))))
      (list-members team port* "+ ")
-     (newline))
+     (newline)
+     (1+ id-number))
+   0
    (sort
     (hash-map->list (lambda (key value) value) %teams)
     (lambda (team1 team2)
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#58660; Package guix-patches. Full text available.

Message received at 58660 <at> debbugs.gnu.org:


Received: (at 58660) by debbugs.gnu.org; 20 Oct 2022 13:28:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 20 09:28:30 2022
Received: from localhost ([127.0.0.1]:33426 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olVb4-0004Cj-2e
	for submit <at> debbugs.gnu.org; Thu, 20 Oct 2022 09:28:30 -0400
Received: from mail-wm1-f50.google.com ([209.85.128.50]:54256)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1olVb2-0004CM-1m
 for 58660 <at> debbugs.gnu.org; Thu, 20 Oct 2022 09:28:29 -0400
Received: by mail-wm1-f50.google.com with SMTP id e18so14925167wmq.3
 for <58660 <at> debbugs.gnu.org>; Thu, 20 Oct 2022 06:28:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=fpTANVt7iRO1tZEI0bMFv8S4UFTE0IakN4Rto/Fya8o=;
 b=p8LBnTnrP2j+q9owbgi5yjdOYB5hVXlxKiDtVDcIMdLp3JxlfjA56EC7KyPjXfN1P4
 5j/m62K2kAxEDMGP67WYvPjrRDcgGU2ZAwsP7a/s/IyxC1ckX4JX1zqDUK4PTM3fnFRB
 YEQGNRQuDweFno+ysjA6SBb3DX7bClPFVQ0RrcYBSu+tkmiV8sdHvFyaeVRZkAG/sPS9
 6NhKcDEDYgqWwR2+IDCXVN2nFT6pEURNxRAYV5unP+a73SGX+z3cgYa88GzkGBuZZNOo
 BCcloLnu80gJMZNGmeoTGHGVhNR3MUXygRPYtXPoWkTVaUYNp3gkXji23mmKBnBqwaRh
 /r8w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=fpTANVt7iRO1tZEI0bMFv8S4UFTE0IakN4Rto/Fya8o=;
 b=53Jp/ce7I9/BXn7FbP5qKcVcZqD4wA5sZptUZ2AoGIWpI1v57pYF+Aospl8HtXLZ4R
 yL7xwGROjETNDkFcEUzksvH9wMBsTrJhnYFWf8A56E0c6MkgUnwaOYSqxAFDe39vVSbV
 4baTDIic9NDTmhGt7YvqiFzOsgQrFerpusspI80PIZxCEMD9LqYBoF2OchToPaxcJkmD
 b1CSS4hbXdodoZdCOxbB4eNBcvwYV0IBF5E7ZYktHmEU9fO5az9BvXdPGOZI3NE+kVEp
 kO4ZHwW03Uu3wGhAQcsmDVeatfNyszezdww8RpfjlMtArHl8RVlppQ8zTKP3n9I+EJfA
 KVMA==
X-Gm-Message-State: ACrzQf1Wrt/71XkI2wS63RlgP4gvlX4pOc1TQ7p4AIX20pC9fiqzbQF4
 eiPetsCTCt9cId+dYOyUp+vZRZcQtCg=
X-Google-Smtp-Source: AMsMyM6mthBgbISFuM+LmLMPzf4/ZSvm6ZPlMnrOKEQ1b9NCFQRrhN0Pg6YCDCnnFVF6ysj0vgGYnQ==
X-Received: by 2002:a05:600c:548c:b0:3c6:d8dd:2a72 with SMTP id
 iv12-20020a05600c548c00b003c6d8dd2a72mr27473968wmb.179.1666272502436; 
 Thu, 20 Oct 2022 06:28:22 -0700 (PDT)
Received: from localhost.localdomain ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id
 q3-20020a1c4303000000b003a8434530bbsm2864668wma.13.2022.10.20.06.28.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 20 Oct 2022 06:28:22 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: 58660 <at> debbugs.gnu.org
Subject: [PATCH 3/4] etc: teams: List teams sorted by id.
Date: Thu, 20 Oct 2022 15:28:13 +0200
Message-Id: <20221020132814.1549436-3-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.36.0
In-Reply-To: <20221020132814.1549436-1-zimon.toutoune@HIDDEN>
References: <20221020132814.1549436-1-zimon.toutoune@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58660
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* etc/teams.scm.in (list-teams): Sort teams by id.
---
 etc/teams.scm.in | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/etc/teams.scm.in b/etc/teams.scm.in
index 8e18a5d206..3d4c7319c2 100644
--- a/etc/teams.scm.in
+++ b/etc/teams.scm.in
@@ -556,8 +556,8 @@ (define (list-teams)
   "Print all teams, their scope and their members."
   (define port* (current-output-port))
   (define width* (%text-width))
-  (hash-for-each
-   (lambda (key team)
+  (for-each
+   (lambda (team)
      (format port*
              "\
 id: ~a
@@ -584,7 +584,11 @@ (define width* (%text-width))
                                string<=?)))))
      (list-members team port* "+ ")
      (newline))
-   %teams))
+   (sort
+    (hash-map->list (lambda (key value) value) %teams)
+    (lambda (team1 team2)
+      (string<? (symbol->string (team-id team1))
+                (symbol->string (team-id team2)))))))
 
 
 (define (diff-revisions rev-start rev-end)
-- 
2.36.0





Information forwarded to guix-patches@HIDDEN:
bug#58660; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Oct 2022 13:22:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 20 09:22:11 2022
Received: from localhost ([127.0.0.1]:33417 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1olVUv-00043v-JD
	for submit <at> debbugs.gnu.org; Thu, 20 Oct 2022 09:22:11 -0400
Received: from lists.gnu.org ([209.51.188.17]:41440)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1olVUm-00043Q-J6
 for submit <at> debbugs.gnu.org; Thu, 20 Oct 2022 09:22:08 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48942)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <zimon.toutoune@HIDDEN>)
 id 1olVUh-0003Mr-9R
 for guix-patches@HIDDEN; Thu, 20 Oct 2022 09:21:57 -0400
Received: from mail-wm1-x32d.google.com ([2a00:1450:4864:20::32d]:52213)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <zimon.toutoune@HIDDEN>)
 id 1olVUc-0000TO-ST
 for guix-patches@HIDDEN; Thu, 20 Oct 2022 09:21:54 -0400
Received: by mail-wm1-x32d.google.com with SMTP id v11so4904120wmd.1
 for <guix-patches@HIDDEN>; Thu, 20 Oct 2022 06:21:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=JB8wYIR6oEICKxJ513opb626gM6/GnRcFAaydpwhGb0=;
 b=OBBAJtXeE6W66yF+t/qBw9gGD6Cu8KdRS+5GCltcOGlKZcyqJ17lkyUW52leWCxjti
 1UgX3/qlt2EErhceqW/HKzwuvMyFH/ck9XLkSjL0Hv/apCX2yNvqhtatcoHzwSxZoMms
 pCTmX3481NUto9ybAEV/c7QvJa9uwVnnn0EJnvR1lPuB0dFgDQeQAIH7hjTBZ5R+eiJ3
 GoP6/aEhR8Mp6ZA+ffycNZS4cm+ZfKZff3nSoFSjsGA4CLphMmZkoSF3Hq2nhVg1zcTN
 Hhtqfsa2tSjXpEu0Xpha45m1q/l0A2LW1RHVbCl5QNmmxobALA2R3Yh2YGTWh2FqiKbR
 atiw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:subject:cc
 :to:from:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=JB8wYIR6oEICKxJ513opb626gM6/GnRcFAaydpwhGb0=;
 b=cqMzQK9apgtlYfkm1lsRcwTFoY/6eYH1HtHvix9LX9Z53X+2oia0KiykcQrNh4As+2
 dLSJVIBgdQv5zjFA40q6kKMUyj4sCMS3ReAt2a1ETdpVBoRk2n+3E6pGb0IbYJJMWRta
 u8Y4PgrB4rPArwWZeNOU79z9Qx0SiKqUvPkmyhEGh1mnOKMm52JEutKXfZ4jQIIHtuYd
 54BPYubPPLHcODJ+VB9SV2R1DdtEWAdYW3ITGihkxNmhYdrnLAL3UYChGm6HH8TJ2yZG
 k5CDdwpku2mIZY1fr0HIgM3B9Lbz3156fdc1inS3Huxmy642Gep1erjgGEbLlnAFVMym
 VKrw==
X-Gm-Message-State: ACrzQf3aVxdxlAroaqm2K3E353xbKZiBri0l36bZnjKoW4sIQfxZCjnC
 FR9Jo5YIqXN50zMgzJiXmV6DaXToZu4=
X-Google-Smtp-Source: AMsMyM4oqE/BerOzKMAeD8ChmWUyaxrWWLHscTi7d1MCjPxCUChjM7csRP+h+aCtU25U4jv6MNjCqQ==
X-Received: by 2002:a05:600c:524d:b0:3c6:ec2f:7daa with SMTP id
 fc13-20020a05600c524d00b003c6ec2f7daamr21366315wmb.50.1666272108107; 
 Thu, 20 Oct 2022 06:21:48 -0700 (PDT)
Received: from localhost.localdomain ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id
 g5-20020a5d4885000000b0022e55f40bc7sm16204286wrq.82.2022.10.20.06.21.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 20 Oct 2022 06:21:47 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/4] Minor tweaks of etc/teams.scm
Date: Thu, 20 Oct 2022 15:21:40 +0200
Message-Id: <20221020132140.1546684-1-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.36.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2a00:1450:4864:20::32d;
 envelope-from=zimon.toutoune@HIDDEN; helo=mail-wm1-x32d.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 3.0 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, The first patch displays the regexp pattern and sort the
 files. Compare, --8<cut herestart>8--- $ etc/teams.scm list-teams | recsel
 -n 21 id: java name: Java and Maven team description: The JDK and JRE, the
 Maven build system, Jav [...] 
 Content analysis details:   (3.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 2.0 PDS_OTHER_BAD_TLD      Untrustworthy TLDs
 [URI: jpoiret.xyz (xyz)]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (zimon.toutoune[at]gmail.com)
X-Debbugs-Envelope-To: submit
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

Hi,

The first patch displays the regexp pattern and sort the files.  Compare,

--8<---------------cut here---------------start------------->8---
 $ etc/teams.scm list-teams | recsel -n 21
 id: java
name: Java and Maven team
description: The JDK and JRE, the Maven build system, Java packages, the ant-build-system, and the maven-build-system.
scope: #<regexp 7f61135ef3c0> #<regexp 7f61135ef380> "guix/build/ant-build-system.scm" "guix/build/java-utils.scm" "guix/build/maven-build-system.scm" #<regexp 7f61135ef340> "guix/build-system/ant.scm" "guix/build-system/maven.scm"
members:
+ Julien Lepiller <julien@HIDDEN>
+ Björn Höfling <bjoern.hoefling@HIDDEN>
--8<---------------cut here---------------end--------------->8---

with

--8<---------------cut here---------------start------------->8---
id: java
name: Java and Maven team
description: The JDK and JRE, the Maven build system, Java packages, the ant-build-system, and the maven-build-system.
scope: "^gnu/packages/java(-.+|)\\.scm$" "^gnu/packages/maven(-.+|)\\.scm$" "^guix/build/maven/" "guix/build-system/ant.scm" "guix/build-system/maven.scm" "guix/build/ant-build-system.scm" "guix/build/java-utils.scm" "guix/build/maven-build-system.scm"
members:
+ Julien Lepiller <julien@HIDDEN>
+ Björn Höfling <bjoern.hoefling@HIDDEN>
--8<---------------cut here---------------end--------------->8---

Maybe I miss a point about regexp but I have not found a way to access the
pattern.  Hence this new <regexp*> record.


The second patch sorts the members,

--8<---------------cut here---------------start------------->8---
$ etc/teams.scm list-members mentors
( <paren@HIDDEN>
Christopher Baines <mail@HIDDEN>
Ludovic Courtès <ludo@HIDDEN>
Mathieu Othacehe <othacehe@HIDDEN>
Ricardo Wurmus <rekado@HIDDEN>
Simon Tournier <zimon.toutoune@HIDDEN>
jgart <jgart@HIDDEN>
--8<---------------cut here---------------end--------------->8---


The third patch sorts the teams,

--8<---------------cut here---------------start------------->8---
$ etc/teams.scm list-teams | recsel -Cp id
id: core
id: emacs
id: embedded-bootstrap
id: games
id: go
id: haskell
id: home
id: installer
id: java
id: julia
id: kernel
id: lisp
id: mentors
id: mozilla
id: ocaml
id: python
id: r
id: racket
id: ruby
id: rust
id: science
id: translations
--8<---------------cut here---------------end--------------->8---


Note that show a team is not super handy,

--8<---------------cut here---------------start------------->8---
$ etc/teams.scm list-teams | recsel -Cp id | grep -n id
1:id: core
2:id: emacs
3:id: embedded-bootstrap
4:id: games
5:id: go
6:id: haskell
7:id: home
8:id: installer
9:id: java
10:id: julia
11:id: kernel
12:id: lisp
13:id: mentors
14:id: mozilla
15:id: ocaml
16:id: python
17:id: r
18:id: racket
19:id: ruby
20:id: rust
21:id: science
22:id: translations

$ etc/teams.scm list-teams | recsel -n 7
id: installer
name: Installer script and system installer
description: <none>
scope: "^gnu/installer(\\.scm$|/)"
members:
+ Josselin Poiret <dev@HIDDEN>
+ Mathieu Othacehe <othacehe@HIDDEN>
--8<---------------cut here---------------end--------------->8---

Hence the last patch, (hum, I am not convinced :-))

--8<---------------cut here---------------start------------->8---
$ etc/teams.scm list-teams | recsel -Cp id
id: (0) core
id: (1) emacs
id: (2) embedded-bootstrap
id: (3) games
id: (4) go
id: (5) haskell
id: (6) home
id: (7) installer
id: (8) java
id: (9) julia
id: (10) kernel
id: (11) lisp
id: (12) mentors
id: (13) mozilla
id: (14) ocaml
id: (15) python
id: (16) r
id: (17) racket
id: (18) ruby
id: (19) rust
id: (20) science
id: (21) translations

$ etc/teams.scm list-teams | recsel -n 15
id: (15) python
name: Python team
description: Python, Python packages, the "pypi" importer, and the python-build-system.
scope: "^gnu/packages/python(-.+|)\\.scm$" "gnu/packages/django.scm" "gnu/packages/jupyter.scm" "gnu/packages/sphinx.scm" "gnu/packages/tryton.scm" "guix/build-system/python.scm" "guix/build/python-build-system.scm" "guix/import/pypi.scm" "guix/scripts/import/pypi.scm" "tests/pypi.scm"
members:
+ Lars-Dominik Braun <lars@HIDDEN>
+ jgart <jgart@HIDDEN>
--8<---------------cut here---------------end--------------->8---


Cheers,
simon


zimoun (4):
  etc: teams: Improve scope display.
  etc: teams: List members sorted by name.
  etc: teams: List teams sorted by id.
  etc: teams: Display an id number.

 etc/teams.scm.in | 83 ++++++++++++++++++++++++++++++++++--------------
 1 file changed, 59 insertions(+), 24 deletions(-)


base-commit: 4716cea6256523a8ecf90a426d675bfb7620f3e4
-- 
2.36.0





Acknowledgement sent to zimoun <zimon.toutoune@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#58660; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 23 Nov 2022 09:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.